2017-09-15  David Tardon  <dtardon@redhat.com>  [30fa9bc78c1112ebb0a6778d0b8120b9a1fa8ab5]

	cid#1371577 sanitize loop bounds

	Change-Id: Iaeff2dbce1cd8b5cd5863c77ae20adf6eb698076

2017-09-15  David Tardon  <dtardon@redhat.com>  [20577bbcc4738de4e106503de36993f17295c79b]

	mention coverity in news

	Change-Id: Id996a9d3aefb53332f7b0a4d0ccb8675180ce1dc

2017-09-15  David Tardon  <dtardon@redhat.com>  [934860e0ebf70b675d09d60d283d74cb092106d8]

	cid#1371578 sanitize loop bound

	Change-Id: I8b474571483c5ac248d88832a24857b041f25319

2017-09-15  David Tardon  <dtardon@redhat.com>  [af2b6648613d823efe299e35be386c05ceadf220]

	cid#1371577 sanitize loop bound

	Change-Id: I5c20f346fd92827a5c6aa923e2a6dfac15952f8e

2017-09-15  David Tardon  <dtardon@redhat.com>  [ef10d79d0faed2a5d2578f52122449e78d3ffaf4]

	cid#1371576 sanitize loop bound

	Change-Id: I79a573b72be3894b596bff8979ff425727e0bdf9

2017-09-15  David Tardon  <dtardon@redhat.com>  [c6908fcfa1f421e5c2d99f945e33cb79ca896f13]

	cid#1371575 sanitize loop bound

	Change-Id: Ifbbc3ec2b68a5966401e4f7b499b1eefda06fac2

2017-09-15  David Tardon  <dtardon@redhat.com>  [8d1ba8a93df9f103d53ad6fd77c0b45b885889c1]

	use smart pointers

	Change-Id: I62a8d1a30338d6750ec71fcbbb8c120bfac74081

2017-09-15  David Tardon  <dtardon@redhat.com>  [a4716f518ed4d8d9e1deff8dba7988715ffb46dd]

	use smart pointers

	Change-Id: I4420775d451cde8ccff88dffd25675dedd9d6df2

2017-09-15  David Tardon  <dtardon@redhat.com>  [f36fc7377df7ae9b07a85457e035dc122996d4c9]

	make this easier to use

	Change-Id: I3166bba6b137bce7a39c3d8a2648fa943654740a

2017-09-15  David Tardon  <dtardon@redhat.com>  [b51b2c3f55115ca61054fd8689c67939d4f3d999]

	cid#1371571 sanitize loop bound

	Change-Id: I4d943db17124508785044e0896f2ebe6e1258fb9

2017-09-15  David Tardon  <dtardon@redhat.com>  [e5301b388190e7562e4cb0984e94e55636029f7d]

	cid#1371573 sanitize loop bound

	Change-Id: I590e6ef88f0489b8039e096e79b1c47a5edf3111

2017-09-15  David Tardon  <dtardon@redhat.com>  [334cdf5093b093564bfc9f402ff46368b33ac091]

	cid#1371579 sanitize loop bound

	Change-Id: I1a34dcb7cd3de89e7ec484b759a9d81aefaf0dc6

2017-09-15  David Tardon  <dtardon@redhat.com>  [0716f26b967a29dd8b4b843f092ede509c101d7e]

	cid#1371574 sanitize loop bound

	Change-Id: I6cf6ee216bb4d722912164a7f4a7b4099017e887

2017-09-15  David Tardon  <dtardon@redhat.com>  [fdfcdd5ec28ba5e500be0b44d86ac926d2d86213]

	cid#1371569 sanitize loop bound

	Change-Id: I7e8a16c14f3c83b5eb05931d282a7798231ed410

2017-09-15  David Tardon  <dtardon@redhat.com>  [ddeabcc6b0c4afe2629dc1f133adecac458ee2c8]

	cid#1371572 sanitize loop bound

	Change-Id: I5c4e36fac083f1e04301947cb52627c169fee719

2017-09-15  David Tardon  <dtardon@redhat.com>  [0778dd3ab809bcc2fce0dabafefcab32ed4caa65]

	cid#1371570 sanitize loop bound

	Change-Id: Icebb0e8844c37934c9f73b9064e0a2f95b986654

2017-09-14  David Tardon  <dtardon@redhat.com>  [2a505f7aee97b9d93db13f11bd378b4656ecc7f5]

	prepare for release

	Change-Id: Iad271352b4ad95bce253a7401c8efc55ae581525

2017-09-10  Miklos Vajna  <vmiklos@collabora.co.uk>  [1377c874309ccfb8afcf33a73ca561f1827d95fd]

	m4: MSVC defines __cplusplus as 199711L still

	See e.g.
	<https://stackoverflow.com/questions/37503029/cplusplus-is-equal-to-199711-in-msvc-does-it-support-c11>,
	on MSVC we can't depend on the value of __cplusplus, since that one is a
	too low value, even if everything else works fine.

2017-09-08  David Tardon  <dtardon@redhat.com>  [d6b3911a7145c3712fb2a21347d9057fb9204c49]

	assume modern enough ICU is available

	Change-Id: Id1699583cf123ac48e9fdb93ff0e9fd64201633e

2017-09-08  David Tardon  <dtardon@redhat.com>  [5c877eb154c80585ed09d7614964c3ae1c931004]

	tests need librevenge-stream too

	Change-Id: I3e5ddf2c19f27fe3201952d3ea2b732e4ebeda09

2017-08-22  Miklos Vajna  <vmiklos@collabora.co.uk>  [ecb7b0ee27c32bb00945f43ca840fdd63cfc3dc0]

	Convert explicit for loops to range-based ones where possible

	Saves a few lines of redundant code.

	Change-Id: I303893ace619703dc23e50e20eb44b0247b61b28

2017-08-17  Miklos Vajna  <vmiklos@collabora.co.uk>  [3a93808cf271b5d39e91bd0606d1716d7d5b6ffb]

	Convert 0 to nullptr where it's used as a pointer value

	To make the code easier to read, because this means the remaining zeros
	all mean numbers.

	Change-Id: Ia1e06d3b1ce49603595459f78b2d400e0ba5bea8

2017-08-16  Miklos Vajna  <vmiklos@collabora.co.uk>  [4be31f3c4c57fc8b9c8ae048b1b8f03b7d6db154]

	Mark overriding member functions as 'override'

	This does not affect the generated code (API or ABI), but:

	1) Makes sure that in case the signature of one of these functions would
	change by accident, the build breaks as the function no longer overrides
	a base function.

	2) Makes the code readable by explicitly marking all overriding
	functions as 'override', where previously the reader had to read the
	interface of the base class(es) as well to find out if the function is
	virtual or not.

	3) Since 'override' implies 'virtual', remove the 'virtual' keyword
	where 'override' is present.

	Change-Id: I21c123df891f582a0df624360d8ac3404186c2d0

2017-07-29  David Tardon  <dtardon@redhat.com>  [0e23de6ce871a646f9e1f33b8b5ea90e30eb9e95]

	suppress GCC 7 fallthrough warning

	Change-Id: I6a1da60f75130e897191f20910aab9a3a46b5b57

2017-06-20  David Tardon  <dtardon@redhat.com>  [04bd2943cc3a5e16736dd96a8c87852b82fe2983]

	ofz#2246 avoid division by 0

	Change-Id: Ieb643d124e3d934ee2f1c9e12d3e6e532a9dfc50

2017-05-16  David Tardon  <dtardon@redhat.com>  [badddb69ec352d98d145e86577959d5523bdcc8d]

	one definition of M_PI is enough

	Change-Id: I9ad24445117ecd8bcbd00ce664029ddc392f4846

2017-05-16  David Tardon  <dtardon@redhat.com>  [157f80cc4f4cd295588eba55bdcbe56889e9225a]

	use a lookup table to get codepage from font name

	Change-Id: Ia45f9aeb1d2993d751cf29e1855d640a90b3e2d3

2017-05-16  David Tardon  <dtardon@redhat.com>  [622861c10a26941233ec120528c281e69605a355]

	convert from Spirit.Classic to Qi

	Change-Id: Id6dcd006cbc23f2928f0f7b0be90003dfd07f945

2017-05-16  David Tardon  <dtardon@redhat.com>  [701116d56e4acea578fec5fc4205b406dd538b85]

	sort lexicographically

	Change-Id: Ia52662eddcb8672c07c60798341ddee5ffc90606

2017-05-16  David Tardon  <dtardon@redhat.com>  [7d11cf51b0087efe295a180af6476eacb744d266]

	drop :: prefix

	Change-Id: I64cdccb97a3b130484a13bd7c713abc79cfed394

2017-04-21  David Tardon  <dtardon@redhat.com>  [efe976ca8556426d1019caede0a3193647549dc8]

	ofz#1211 avoid division by 0

	Change-Id: I10e29fad157257c608b23f33ff5a0aa0125d3cb9

2017-04-15  David Tardon  <dtardon@redhat.com>  [b21d189f482bdb3e7fee3d9ee6df6adc3f7185da]

	drop unneeded include

	Change-Id: I60ecaff1f8c29c1411edbdd389f85b5bd7e30dbe

2017-04-15  David Tardon  <dtardon@redhat.com>  [5099c78dd0adb1d03f91afc43fc415224763db26]

	replace manual def. of int types by boost

	Change-Id: I6727cc9a44b4e6b442fb3c11d4a8949427caaed2

2017-04-15  David Tardon  <dtardon@redhat.com>  [53288cb5a208402964a2a2944d3501731b565951]

	move check for __attribute__((format)) to configure

	Change-Id: I7ac89d2c40cb6b863ca31e1529ee3f261952c1e5

2017-04-15  David Tardon  <dtardon@redhat.com>  [471dc14d9a868ab44702d600fd322bdba544aa3f]

	drop verbose debug

	Change-Id: I43829cf0146017d8b7d131aa2d85e6f0d703b913

2017-04-15  David Tardon  <dtardon@redhat.com>  [18874143a46c479cbb82341d7aa6f29504db4725]

	workaround difference in astyle versions

	Change-Id: I6c517ba4956372538015712c3446818e3c443b88

2017-04-15  David Tardon  <dtardon@redhat.com>  [dd25051dad8210771c58d3a7cbe4b98307018835]

	this uses boost::optional so include the header

	Change-Id: I9efafd00243dfaf25b9955a6c4a91c86028ad123

2017-04-15  David Tardon  <dtardon@redhat.com>  [81371c41a555b299385c6809ae372ba602366c98]

	boost::scoped_ptr -> std::unique_ptr

	Change-Id: I4ce2fad3ed859cd5741074fea07038a50fd14a02

2017-04-15  David Tardon  <dtardon@redhat.com>  [cfba12350ad88791ec64077ede9fbffb98885603]

	switch to C++11

	Change-Id: I049fc4bf37667192b0ae997ad150cde3632d8df3

2017-04-15  David Tardon  <dtardon@redhat.com>  [0807415e3cd8d285c4c0c884363ea610e23a5ce7]

	only ignore generated files in m4

	Change-Id: Ibb9e5bf67157a0a5cb3989ed4e0e36027f702fb0

2017-04-12  David Tardon  <dtardon@redhat.com>  [d3115eaf664eb01d03af1fe65c0c2680960b6ab7]

	ofz#998 fix division by 0

	Change-Id: I85c2888adf6289d6cfd23728d36e130a15f54368

2017-04-08  David Tardon  <dtardon@redhat.com>  [0011e37abce90f84a0740413b951c5de8addcbc2]

	ofz#1009 fix leak

	Change-Id: If73e988e12a5be29a674495e4b7654ce6d8c5135

2017-04-04  David Tardon  <dtardon@redhat.com>  [263b1707ba5506fe9b162404b84b8e6c7b8d6ef5]

	ofz: avoid inf. loop if inst. size is 0

	Change-Id: I688a580878227adcf267bca02b22a0b2e2434f36

2017-04-04  David Tardon  <dtardon@redhat.com>  [f270338fcf07bdbf2d0fa1f4b7dd8aed8eedcfd6]

	ofz: avoid inf. loop if tag length is 0

	Change-Id: If5a6644de892a466b5bd54ab3c807b6149aace8e

2017-04-04  David Tardon  <dtardon@redhat.com>  [77704c5f26a1019ddc8014a84113a3387c52fe3e]

	astyle

	Change-Id: I4b1ee173e3c795fa2ba23f333e2e93cd392907af

2017-03-30  David Tardon  <dtardon@redhat.com>  [bc0877e937c29253758b7abd609d4b030efdaba0]

	add cmx fuzzer

	Change-Id: I0c7d84c9b3941ba892981fd69e503eb5ea8734cf

2017-03-30  David Tardon  <dtardon@redhat.com>  [38d14756cfc03b3e827963f854b0233f38872aaf]

	create a fuzzing driver for oss-fuzz

	Change-Id: I0c89a14828fb25b7a6b0d16bf4055b8dd49e1013

2017-03-16  dennisroczek  <dennisroczek@libreoffice.org>  [bc4bc8cd02c7065143c2a236f5d949dcfb04a07f]

	fix typo: "the the" --> the

	Change-Id: Iae95a5b48548a3c3613b69dae5045d287faab736
	Reviewed-on: https://gerrit.libreoffice.org/35167
	Reviewed-by: Julien Nabet <serval2412@yahoo.fr>
	Tested-by: Julien Nabet <serval2412@yahoo.fr>

2017-03-12  dennisroczek  <dennisroczek@libreoffice.org>  [2f69b5b8357bd30a76f9ff07acb2889e12feab82]

	fix typo: usefull --> useful

	Change-Id: Ib6b8be0502a905b4ca7c6f8f2d4213f3a85c4c4f
	Reviewed-on: https://gerrit.libreoffice.org/34997
	Reviewed-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>
	Tested-by: Adolfo Jayme Barrientos <fitojb@ubuntu.com>

2017-02-23  David Tardon  <dtardon@redhat.com>  [247a26e11c1d31002cdef5c7ab65a8b259519d9b]

	tdf#106118 update README

	Change-Id: I16b1b9f0eefffb9b6b8460cb99bc18049dd1634b

2016-07-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8d3311cf94f79e97373732d764d65502ef8a941b]

	Prepare for 0.1.3

	Change-Id: Iebd1617a94ff46d976f8042b4be4b2b12c65fd96

2016-07-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [114c8366a2ca6f664d5c13aba5ee1066e9b86633]

	Fix a thinko

	Change-Id: I3f75add6454e1d9be7d9e2971dd7232e18e4c6e3

2016-07-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3eb9b6eb8e9855661eb505ffeb29cd7860ed5b9d]

	Full-Color and Imported Bitmap have similar structure

	Change-Id: I989bdc58eb88ce68e7fc3a64ddb7d3d46572b7ac

2016-07-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f568a1a6ecab5200f9c7443887dc7fb623beb060]

	let the cmx2* and cdr2* handle both cdr and cmx

	Change-Id: I55d0cc0eeadd59a65d1141d9c9b7e14279072c7f

2016-07-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [02eabaedfa4099cec304ecfae8dd0b25a6988fef]

	Setting a framwork for parsing of vector fills

	Change-Id: Ic8fea5796fff6fae0cd5dbbef0b9a4cf0e0a779b

2016-07-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4c41d9c89edeaa96208c68e3d1b0c1849c7c1c42]

	Assure that we know fill/line properties when parsing the full colour fill

	Change-Id: I6bf3f779a9e846d3aa476a91989046757aebe58b

2016-07-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [296365202a94801885625350817522c2d6ef1587]

	If not line/fill is specified, thy the styles first

	Change-Id: I54a687cedf5c2a6b0a93ad578158762b317279ee

2016-07-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7f4bf72e375dee3f7004700ab6102f25720f154a]

	Put the styles into the parser state struct

	Change-Id: I72b7ddd9a7d9317f4379f5bd1a810db1f7ab4288

2016-07-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [46fdb6b2504457b8bcedbe7eb37d9f9d2132a08d]

	This is not only for char styles

	Change-Id: I46b13bd768d4bb87c2787a1d1f8936f8055dd1c3

2016-07-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ca6444d0c64a75120bf40ad2c4df66556ff166ca]

	This does not look like used

	Change-Id: I4af4f9118d18ac15af228d9586b15d1c31e896a1

2016-07-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8a131e5f479607274ec635b9a5b956cf9bee15a5]

	Best solution before we implement Stlt for graphics

	Change-Id: I8ac1a2da7fba7894733e0c264017628e653fcd16

2016-07-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f8f4d0de572304d8bcddd68eff174bec7d4d9a55]

	Annotate not to forget to handle default styles

	Change-Id: I7e0b5e67000911eac568bf6d08f27982766dc29d

2016-07-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3512a0c9cdf2d824c54bb3ef1b172010cb40cd97]

	If no outline is specified, it means no outline

	Change-Id: I38a6bd11ffe7876c1953b8705f26d1757d13f93e

2016-07-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1a6e34eb30f1c701f520c6656825f505591cc603]

	Basic transparency lens for CMX

	Change-Id: I8dd05b59e34e829b93be69e0eca5dae3e2c2236c

2016-07-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1fa184091a72d7cb91f4968e216dba0a6ff15907]

	Some endianess fixes

	Change-Id: I9060d9f14d980c1dd1e5355249bee7736dcf9509

2016-07-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1133f4e3596c8225af6b046385fba0c746774a29]

	Parse even the pages from the index

	Change-Id: I2482141e4c63db6e85d86248a969d332fca12650

2016-07-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [98ef714234b005f89f71fed9bde5a8c6187ef3fd]

	More infrastructure for parsing from index section

	Change-Id: I1a822e0a3a567f736a01bbab6259d8e4d694459a

2016-07-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a9dc0718f68bac96144d15e2b6165fc1ae83d6d1]

	Defines for sections

	Change-Id: Ib3ce9f075b726aaa0916f0caf720f031210a11da

2016-07-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f9a78854aba45c2dc6a5a29eea1d57a689e2ed5f]

	Start the infrastructure for parsing from index section

	Change-Id: I9009d6d2f24a91dc8a56418c8b7cc7cd4165fefd

2016-07-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [27c91911554d8617199374bc077ece478b618aaf]

	Consider pen transform

	Change-Id: I7b09d9347a14c99493019d28d0f39955c668712f

2016-07-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a53bff7f33f65b4f9ebb9c396d5df9e73f9bbd8a]

	No need of a special ccmm reader

	Change-Id: I65c4a4a1b66e24a5b518153eaa7d03de2ddffd8a

2016-07-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d839ee0e10d9b647db59f9c86e152931997f0b8e]

	In some CMX files, there are stray BeginEmbedded/EndEmbedded between records

	Change-Id: Ic2116a3ea3d21b188def26e3f4577b06be3921a2

2016-07-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bfed80a9c4e652141b6f1ce07c8785faf70d23be]

	Some fixes

	Change-Id: Ie4764e479f47483fa7e11ff276d4cf882dc1572d

2016-07-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [720d10069858be2704beb634f9e0bcfe67baad3d]

	Draw Image in CMX

	Change-Id: I214bbf91bab95bf0bbc5bbdfc6e9a4e6e08ec1f0

2016-07-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6315f089f7c8bf54d9ae12e885d54a46de776e00]

	Fix debug messages

	Change-Id: I6bb9661fc6ce279c8b55778c24f53ded6610cbb8

2016-07-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cf4caa873d4d47b280ce26aa0ee24272693c3e8a]

	Some CMX bitmap fills

	Change-Id: Ib5371a73ec22473015526b0de8b49a2d23ccd3ae

2016-07-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0e99e41d39dd832afb7f53c9ee66aa368c1395ca]

	Extract RImage reader to CommonParser

	Change-Id: Id283839fc39857c29e15795ecae2665a7cb4f6dc

2016-07-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [30d34d321edace0301507a4428f0865a5369c097]

	Simplify

	Change-Id: I6c133797ce4fd628d19e8dc958df12483bfacb82

2016-07-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [71a4665df6cae7c19fe999dd18e5434b2d2dd4ff]

	While CDR is drawn in reverse order, CMX is not

	Change-Id: Ie4b2d34831220232eda336f52e161749b82c0f19

2016-07-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cf5a6c388946eb4b3a719bbd2bac896508f087a7]

	Some image parsing

	Change-Id: I52bd0a205d54385208eb788f47b75647b194a988

2016-07-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b1fca19af9165e515ee09810d45c413b7004c82b]

	Parse Image

	Change-Id: I125c55bc76565f29ca350c4378951e8f2952740f

2016-07-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8e9206a36518cf88cc1d31656fe1ab0bd450b445]

	ixtl and ixef readers

	Change-Id: I65ce400381cf64d9626b275a1c7eb033d5806265

2016-07-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [453c92e29f007bb809aee6c8ed0ab7400f9a2215]

	Add fourcc for index tables

	Change-Id: I5246ebd00504baa5733c77a2724c90e2028cd517

2016-07-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [078a61abd6b344ae4e3200e7068681c3dbcb125b]

	Outline styles

	Change-Id: I965cbe957fc359dfc6721a5fe74ae21b3d241333

2016-07-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6c1e337b20f11b86e5356cc4b43ad0f715e77326]

	rotl reader

	Change-Id: I545b82951cb7af6338be16d134ed821deb24320e

2016-07-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [190f8ba5f6373381f667f680ec457712682288d2]

	rpen reader

	Change-Id: Ibba0239f8fdcd1a8728b7c0acfa69405a7270347

2016-07-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c5c804ea40039b2e6ce9b603a65fcb79d4a36178]

	rott reader

	Change-Id: I1d22bf5e5f02eedb0f799516bd91a58569b7f352

2016-07-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7b389bf71f76dd3909bd848fe3defbc3acb5cd95]

	Rdot reader

	Change-Id: I44bd901a4c6f1bfa5e70b19f6e9d17d88bd935e0

2016-07-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [14a8e1c087ede5bd94dcd54558507c95a3e78424]

	Try to skip not yet supported fills correctly

	Change-Id: I81bfe7fb177812e8c4114bfd51275cd9c4c980cf

2016-07-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [79cd1211c2bb118280c7da2d228a7f592df03295]

	Extensible parser state for CMXParser

	Change-Id: I52706b557c449b8ef6850bf29b2943df83c43741

2016-07-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6dca9a478ba231c30529ebad130097b143263ad8]

	Fountain (gradient) fill for CMX

	Change-Id: I8bb0a2689fea2401cbdced6158a326f4e97169ab

2016-07-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2d5d2dc005625b30a82e5a7baee1f2deac9964bf]

	Try not to output bogus shapes in CMX1 when we cannot parse rendering

	Change-Id: Ieeaa3a53f7fa364d6107239a53219e6544e9603f

2016-06-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [426554639786a0fd18ed1f0818888e478564ca11]

	Some fill attributes + some fixes in CMX1

	Change-Id: I2ae0d2fe17c706396a02fd317695d411e4e1a680

2016-06-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fe3247f88f940990557d7822899d50483960c653]

	missing break

	Change-Id: I6ed22efb32a75225c7cfd15a80637613e0483913

2016-06-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [90c1937b9bd954a09d180c3dcefe39401f9a2019]

	Initial implementation of fills in cmx v6

	Change-Id: I359cd6509fe52f1b48c2d4367850c85ba16492d0

2015-12-25  David Tardon  <dtardon@redhat.com>  [b6da4cf3b1146170e72c536849d7288376fbd410]

	coverity#1219668 untrusted loop bound

	Change-Id: If827834918cd2bd54ead2947b0e0cc68a8299983

2015-12-25  David Tardon  <dtardon@redhat.com>  [d3c79d44d07776eac7c2ae93448806e7533d4029]

	coverity#1219668 untrusted loop bound

	Change-Id: I75eb0259dfe86998d9447987540cabc53ca79cd1

2015-12-25  David Tardon  <dtardon@redhat.com>  [cd98b72f3293c4fd81bdf51f7ca3f347baa52536]

	coverity#1219668 untrusted loop bound

	Change-Id: I1d493b4c6d79f16c5ed5d68f23efd4b14e85da7a

2015-12-25  David Tardon  <dtardon@redhat.com>  [525cd4a1a868bbf29c511ab00669518aa9818073]

	coverity#1219658 untrusted loop bound

	Change-Id: Ibbe274f8ef136a42f290c41806224f6f6f93dcfb

2015-12-25  David Tardon  <dtardon@redhat.com>  [c6ef8e3f7ca896b3be34c29e4bb8cee1deed4026]

	coverity#1219657 untrusted loop bound

	Change-Id: I8fdc5ec1b1c02124594faa845b89c851307499ba

2015-12-25  David Tardon  <dtardon@redhat.com>  [5b43f6dabdf65be376de3ece7ab24fd7a5e94b83]

	coverity#1219656 untrusted loop bound

	Change-Id: I949c0bc68aec676f0bff78d284738b6e384f2973

2015-12-25  David Tardon  <dtardon@redhat.com>  [776ce0dfcc23cead3e57ee781e924bac4eee74d0]

	avoid reallocations

	Change-Id: If01ca063b2f29ccf8d3ecf473e7d351c5b653bb5

2015-12-25  David Tardon  <dtardon@redhat.com>  [5f23be87e2b13319a7751f25ce3c88165a52bb9d]

	coverity#1219652 untrusted loop bound

	Change-Id: I9a9c6406b5e2ed2616075e97001701bb45c4ccd2

2015-12-25  David Tardon  <dtardon@redhat.com>  [6f28e50debdf1f0a44f5fa7ed7e43a6d50b20e84]

	add missing break

	Change-Id: I26f64966bb510588610c3f48770e3cf6636aa638

2015-12-25  David Tardon  <dtardon@redhat.com>  [af5ef20d8a0ac1c7cae2bc493156d299f246b214]

	prepare for a release

	Change-Id: Id180c188c4c2675ab96417d1b4f2ea8f0052eae5

2015-12-25  David Tardon  <dtardon@redhat.com>  [b2e5cbf18b4eb690fb2704bfaa3215075863b23c]

	make help output even more help2man-friendly

	Change-Id: I6dbe0ddcf67b91e67c2427cfa78c271f77a56433

2015-12-25  David Tardon  <dtardon@redhat.com>  [5acb80e5e2a930fa6ccb50da39aafc57b429e6e6]

	make help output more help2man-friendly

	Change-Id: Icf52fbf7222f155e5f0cb25c3da3053f5962dc2e

2015-12-25  David Tardon  <dtardon@redhat.com>  [f56526a10105b06a03379ba28249cd1192e194c6]

	avoid out-of-bounds access

	Change-Id: Idbf93398707eac0ed5b861366f3713c5af2957f9

2015-12-25  David Tardon  <dtardon@redhat.com>  [ab3ca672deeb0308d09faba93d1af2bdf66a3ae8]

	shorten the expressions a bit

	Change-Id: I2da1425b07333a58be1b5dd75d1cae295a943911

2015-12-25  David Tardon  <dtardon@redhat.com>  [bb36ded402e8de6770042ba1dfe18da1d8430530]

	drop obsolete code

	Change-Id: I16d4a9b63fbc9bcef4a60b8ab880e5c72ff1127a

2015-12-25  David Tardon  <dtardon@redhat.com>  [96efcc9a1a166c0e8c94282b84bdd5094401ce68]

	tdf#67873 do not drop empty text lines

	Change-Id: I667ff13e01ae3b47b62267ad0c911d9d806d0cb6

2015-12-25  David Tardon  <dtardon@redhat.com>  [d006b719a063460ed717caf4b464de7940d4d73c]

	add test-driver to .gitignore

	Change-Id: I2d93112ebbcaf1bf04338cdc85cd45fc76ab9f38

2015-12-25  David Tardon  <dtardon@redhat.com>  [72f8053c53885a92e2e0843fa277bdb96d4ad6fa]

	print debug messages to stderr

	Change-Id: Iead7aaad540e8fd11d3a531a0ce5db3323fe92b3

2015-12-25  David Tardon  <dtardon@redhat.com>  [16bad14a0bdd8a7370ff73e8d191fa7ac53b5430]

	coverity#1219668 untrusted loop bound

	Change-Id: I820f0795bdf185aafcefdad9c4dbd7e5087fb249

2015-12-25  David Tardon  <dtardon@redhat.com>  [8d465b41201c97df55916f577e34b3f51e48eae0]

	avoid reallocations

	Change-Id: I5f5c5c5f07cee25e7ae4217e69d91e21345c80d3

2015-12-25  David Tardon  <dtardon@redhat.com>  [ba194ca9b857e2b126bb9d4779dfeb634ff49c63]

	coverity#1219667 untrusted loop bound

	Change-Id: I869570d2591801e244a16cda41583c0b11f4f1ec

2015-12-25  David Tardon  <dtardon@redhat.com>  [506d632fc882b0df456099bf7bf5f9c3df7cd5fb]

	avoid reallocations

	Change-Id: Icd13d0b6d80e93627fc11a6f500a7282961d9aa1

2015-12-25  David Tardon  <dtardon@redhat.com>  [a68dd3b0ded47e84d1d1b5bda45b3a76d565bc62]

	coverity#1219666 untrusted loop bound

	Change-Id: Ic059fe02f4ca3443317e9aa445071bbaf5c6065c

2015-12-25  David Tardon  <dtardon@redhat.com>  [a6db148517331a0a0792b57dfcb2f2722b303423]

	avoid reallocations

	Change-Id: I4becdb665e7cad78e08f51ad1cd8fd332ab46032

2015-12-25  David Tardon  <dtardon@redhat.com>  [5609b383d5555dcff937d96817cd2de5307f54aa]

	coverity#1219665 untrusted loop bound

	Change-Id: I3ec8ed97fc2178eaae72b00758a8b08f8703fcb8

2015-12-25  David Tardon  <dtardon@redhat.com>  [c3a503fc3b5495cd1886e153cccefd3be54dc5df]

	avoid reallocations

	Change-Id: Iab341d0c495a3def2b4a3800315675c4dc822d17

2015-12-25  David Tardon  <dtardon@redhat.com>  [cf936b4e64c031ce28fb5916b836f06ce98bfa9e]

	coverity#1219664 untrusted loop bound

	Change-Id: Icfa2357a80b2cd5e813c8192741e3b01dd70c313

2015-12-25  David Tardon  <dtardon@redhat.com>  [edd055130ffeba0be89ac7a091c5b424b94423e8]

	avoid reallocations

	Change-Id: I130648296cafee9f8329dd15159978fe1dc5a352

2015-12-25  David Tardon  <dtardon@redhat.com>  [d392829184cc722d96fada1ef13917d80d4eb4d6]

	avoid reallocations

	Change-Id: I910463483ff22b4e0b09f6a6489da4883f30f4fb

2015-12-25  David Tardon  <dtardon@redhat.com>  [7647a34501633a9b45ab6c05ba9976d5cea49982]

	coverity#1219661 untrusted loop bound

	Change-Id: Id67d1781602534450b2688cce78c49e5b2d05958

2015-12-25  David Tardon  <dtardon@redhat.com>  [108fa56a9c270319e51654a35e66ce6127be99e7]

	avoid reallocations

	Change-Id: If01040b0aedd5ec7af4fb9c1de2b8f0417011dfd

2015-12-25  David Tardon  <dtardon@redhat.com>  [e73a6e2045e5aa2e900eefadb3632e8011c948e9]

	coverity#1219660 untrusted loop bound

	Change-Id: Icdaf38a7880be84943eb6190cf05ec460e787dd6

2015-12-25  David Tardon  <dtardon@redhat.com>  [9e9f038acfc13c0a636cdf1083255b9f78e2f7ae]

	avoid reallocations

	Change-Id: I7d944c7378a826a9ae237ff63a54c5f1c16b9c97

2015-12-25  David Tardon  <dtardon@redhat.com>  [04282ed1fca09b7530158fc7c319d6f1a9421a15]

	coverity#1219659 untrusted loop bound

	Change-Id: I560231a5ab6b39c2a0e3cddf1f1eec9cce60207d

2015-12-25  David Tardon  <dtardon@redhat.com>  [d0ddef4c3a109f5dec9bf8cb6518ec423a4e393b]

	coverity#1219658 untrusted loop bound

	Change-Id: I9f1513dfd19ffe20eb1755d0b33831448654f080

2015-12-25  David Tardon  <dtardon@redhat.com>  [8df03619d14f702299e05a34a8fd580e34e3481f]

	avoid reallocations

	Change-Id: Ibf3a9908df5acd1afe0ebc1d9491d59e6dd40e43

2015-12-25  David Tardon  <dtardon@redhat.com>  [46b4248bbd9b73404d1df6ccda9e730cccc7bab8]

	coverity#1219657 untrusted loop bound

	Change-Id: Ie645106ddd3da591942de6bbebc6062618107df5

2015-12-25  David Tardon  <dtardon@redhat.com>  [6f6922a41a36afe14b1328262cad61e8bb6b4ceb]

	avoid reallocations

	Change-Id: I6162bb9a82840e50875b374abbc9a8be47241974

2015-12-25  David Tardon  <dtardon@redhat.com>  [fb92384a2378c8296950347a9e4d471524dc0bd7]

	coverity#1219656 untrusted loop bound

	Change-Id: I951f4f238ad8c6c725616f31a6fc07a86e712584

2015-12-25  David Tardon  <dtardon@redhat.com>  [c5103abeccf54dd5d6359650344fca312c95ebca]

	coverity#1219655 untrusted loop bound

	Change-Id: I67b1596a2fada66cee39fc042e44feea81b7e5c7

2015-12-25  David Tardon  <dtardon@redhat.com>  [f2580487380dd73a90f8d0f95a810e0f8d6ea0ad]

	coverity#1219653 untrusted value as arg

	Change-Id: Ifd2ae6290a719a0d3577d0b6ef2014a781a957fb

2015-12-25  David Tardon  <dtardon@redhat.com>  [1412a339e0d77bc13eb09ee5b92fefd34f5ba944]

	coverity#1219652 untrusted loop bound

	Change-Id: Ic76fe5b502c9c2ca12e2d0905c3d680a591c2052

2015-12-23  David Tardon  <dtardon@redhat.com>  [2c9213f3747093f0f6d91541c17a24269f5f46e9]

	coverity#1219662 untrusted loop bound

	Change-Id: Iff5a8739581c3a996a910e642a5db6eab0976bb6

2015-12-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [882a4b3f83a4b5097da53670c720a26f4e2750eb]

	Some boost 1.59 fixes

	Change-Id: I0054c977a6d8ff5a9b93c147578e890476365999

2015-08-30  David Tardon  <dtardon@redhat.com>  [f862293ad576d5f35a3c9e90fba762abeccaa1f0]

	rhbz#1258127 fix build with boost 1.59

	Change-Id: I3c9be843d8fcc17650022f4189b68fde28ee3d42

2015-08-17  David Tardon  <dtardon@redhat.com>  [518a4c52ff5bb841f74339ead214f544ec9f1dde]

	afl: avoid infinite loop with big numbers

	... for which x - 1.0 == x due to rounding.

	Change-Id: I98930077a5b47dc9e49ae6ac78e6b19177c7b56c

2015-08-17  David Tardon  <dtardon@redhat.com>  [e13f0f01b29d4487525998f9f0ff0dc895155f4b]

	afl: postpone alloc. till we get the data

	Change-Id: Ic54f3b1e7e4f08d23a44ad65e855286ebf659fb2

2015-08-17  David Tardon  <dtardon@redhat.com>  [334a6c12f3466828a3acb384d9b8bcac664b555f]

	afl: postpone alloc. till we get the data

	Change-Id: I10412cb64fea97a7271abc8d1cd721c09cfad423

2015-08-17  David Tardon  <dtardon@redhat.com>  [47d2e94deb1e633a15e31ffd3345895bcb80cdb6]

	afl: sanitize size before using it to alloc. a vector

	Change-Id: I83086ec45babe6fc908b1aa658cdae06e8e241dc

2015-08-17  David Tardon  <dtardon@redhat.com>  [0fa9c7c9678a3d3ca797217db013e6290de7bcdb]

	afl: postpone alloc. till we get the data

	Change-Id: I8b4471f3b8846a92f6b0e71e4e9372471fc2cb35

2015-08-17  David Tardon  <dtardon@redhat.com>  [11a9e1bf12237d983f606826c444973e54bf879e]

	afl: sanitize size before using it to alloc. a vector

	Change-Id: Ie4eac6f2c72f192716d48c2f593666b5d65a7cab

2015-08-17  David Tardon  <dtardon@redhat.com>  [6775c795d1930ef8c585ed972c96b862aa8d31bc]

	afl: sanitize length before reading string

	This avoids potential creation and manipulation of large buffers.

	Change-Id: Iac2fa879a65bc2ec2a91c191398e4181f0aa9fd1

2015-08-17  David Tardon  <dtardon@redhat.com>  [bf32c68489887f2a1c10a93630bd3b6409ae9d8d]

	use stricter checks in Styd parser too

	Change-Id: Ib28e586f8569d85264d3c64d2de661a527f97a8b

2015-08-17  David Tardon  <dtardon@redhat.com>  [5d204827bbcb4466d3845bb7655d74531094b901]

	use stricter checks in Loda parser too

	Change-Id: I73f566ea7fab30d04510a0eb41bd6c314feff4b9

2015-08-17  David Tardon  <dtardon@redhat.com>  [6611e91b52506820b9ded09f0c45810ab7c4ad98]

	afl: improve sanity check

	Change-Id: I58d8100c4e6e5d15464df6868625fffe8b51d947

2015-08-17  David Tardon  <dtardon@redhat.com>  [65d6b995beb37236301edd9ecdaab9161e58eb96]

	add unit test for the internal stream

	Change-Id: I2811ea0fcf013882af202a39cd0664f81b2ef1d3

2015-08-17  David Tardon  <dtardon@redhat.com>  [b6a295e599f93f6ff6fcda489c1c34479c846728]

	impl. seek-to-end in internal stream

	Change-Id: Id2401fd09bd2d4a5c54caeb2502932969d9e61f8

2015-08-14  David Tardon  <dtardon@redhat.com>  [5ce6bb2daefef06139073a257d54843705eb9993]

	afl: avoid out-of-bounds access to vector

	Change-Id: I0356716036eb9c32a87c7a376488037abe9c5eab

2015-08-14  David Tardon  <dtardon@redhat.com>  [70218f37edbd521685722dafa7cc84f8aaae2280]

	afl: leave early if there is nothing to read

	Change-Id: I3eb575369c52a85c3f784fca66edfe5548b045d1

2015-08-03  David Tardon  <dtardon@redhat.com>  [847ed41df0cd654568699e57c88c8d4849af8007]

	afl: avoid loops when parsing waldo structure

	Change-Id: I9737af9453ab01ab5e121ac705eea5ba5663245b

2015-08-03  David Tardon  <dtardon@redhat.com>  [4c814c054885be4e31d275eac76e96d7e2c66d0f]

	afl: avoid division by 0

	Change-Id: I5ead8ab028a3bc950a39a4afd3e5b5d67977d540

2015-08-03  David Tardon  <dtardon@redhat.com>  [c324241165636572270b23427100237b021f91cc]

	add make astyle target

	Change-Id: I35859b9856f61c8aee36926f97d80847a5b54eef

2015-08-03  David Tardon  <dtardon@redhat.com>  [d69481c8a80ae46bc5a02441a926243627e3b7da]

	add tags to .gitignore

	Change-Id: I4754b1b6c570902ccb83f9d91a0a1967c6d6a5d1

2015-05-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a6cf808851bfcca527011ec45e3b3f6ba4960e49]

	RVNGBinaryData is a valid type for RVNGPropertyList value

	Change-Id: Icbc4c13c589dc21eac16bee83041444a6916e8d7

2015-02-02  David Tardon  <dtardon@redhat.com>  [80c7842c7a79c0e3b66962d5c54ef89ff759723d]

	remove bashism

	Change-Id: I795bf489517e6cadb5efa0e6a80072d1063ff50b

2014-11-24  David Tardon  <dtardon@redhat.com>  [06f9844bd62f718bed85ca74d3769f73b5b9b2ab]

	prepare for a release

	Change-Id: I4d02133381c7cad26f2fabb25eb1abb6d1b10992

2014-11-24  David Tardon  <dtardon@redhat.com>  [d8f9b82f345e3f22b440e17e58adfc23a40ee6a0]

	only export public symbols

	Change-Id: I0688bcb1742b0459db599517ebe50e45495a1bad

2014-11-21  David Tardon  <dtardon@redhat.com>  [6d7de600e938543448f680cc840211f52bb0b848]

	avoid extra big allocation, continued

	Change-Id: I6cf7c2535e1a4b8163413c1826535b856587bc00

2014-11-21  David Tardon  <dtardon@redhat.com>  [bc3c34481e731d2e696498d19ad5d15b5658afb8]

	avoid extra big allocation, continued

	Change-Id: I0e277d9cb47d9e6bf007b7a4668be339f2884b25

2014-11-20  David Tardon  <dtardon@redhat.com>  [2a5b92b43336c3e0b82ffad6b06b8623d7007761]

	optimize repeated seeks

	This speeds up parsing of a pathological case of a broken file from
	0m29.644s to 0m0.028s.

	Change-Id: I438d8d3bfd84d3d52e8de18b2680a43948cda3ed

2014-11-20  David Tardon  <dtardon@redhat.com>  [d08b5c8a09190852e21f8a2ae4b1720f13dbfbc4]

	avoid extra big allocation

	Change-Id: Ibb22de59d17a85e8b0a8df8be277643fc9ba7f52

2014-11-20  David Tardon  <dtardon@redhat.com>  [983bc0a2e969b011760956d739260a181001a855]

	deinit z_stream properly if reading from input fails

	Change-Id: I5a2ce38daf8f251029ccf8c1458025f950fe2af2

2014-11-20  David Tardon  <dtardon@redhat.com>  [1d605d21e7b5f87c1ad18ff2e7dc03a092a6e557]

	avoid out-of-bounds read

	Change-Id: I6b43ce6e7160789bdd99aabf8632bfc3431d4b7d

2014-11-20  David Tardon  <dtardon@redhat.com>  [629dadcd8002d077fdd4f30d4e7f156b03e644f8]

	nothing to do here if there's no bitmap data to read

	Change-Id: I07d1540d44dc97d7fbb88db363123cb28b7d812d

2014-11-20  David Tardon  <dtardon@redhat.com>  [4a1be786ced3083a9a609e4aa2af9bc5b89ec21e]

	avoid out-of-bounds read

	Change-Id: I5510b80b9c6d1512f2e6e8bb25f48fb0bcded515

2014-07-29  David Tardon  <dtardon@redhat.com>  [88b4e8b39c3c187e2262786d469b0a9d9e2eae9d]

	check arguments

	Change-Id: I62f5abfe8f954f9825befcad589ded09ae8f7700

2014-07-03  David Tardon  <dtardon@redhat.com>  [9a46ea9577d72f5e9f2eef6c74401bc7c33e3f79]

	clang: value stored to input is never read

	Change-Id: I50aeae903940a5ce3acfd9b5e3276fddf8aef584

2014-06-03  David Tardon  <dtardon@redhat.com>  [6448d30053f59f1b71cd841629d053f6bf071d82]

	coverity#1219654 avoid possible out-of-bounds access

	Change-Id: I44de7037a9e3a65b539f452aace782683121ba83

2014-06-03  David Tardon  <dtardon@redhat.com>  [b29f874bb1e8c15b2c77e094d4431a59662e0283]

	coverity#1219811 dereference null return value

	Change-Id: I2cff394e32ce6bc7bf39fae09d91a9730ad8f656

2014-06-03  David Tardon  <dtardon@redhat.com>  [f8c8a0d09c0614d7b0794b09b5d3fcaba84294b1]

	the const_cast is no longer necessary

	Change-Id: I802fd594660761e5ee112fa096f6f4c8fcc97cbb

2014-05-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e973b9db65df3c367e09e0d4623be59a91074515]

	The library strictly speaking does not need the stream implementations

	Change-Id: I2787a6fa4b1d934c0ecd96d4e4ebb71cfc742511

2014-05-23  David Tardon  <dtardon@redhat.com>  [56003faa885246a43d2117856f54bb89326b1668]

	prepare for a new release

	Change-Id: I69e95091590452d154dafadfc6f8a22ce7770eba

2014-04-16  David Tardon  <dtardon@redhat.com>  [94eedda925e3b8a2274b4068bb50455a9fc1869a]

	add other used projects to .pc file

	Change-Id: Ib457b04595cfc6cc8916fc92b8cf4622afdfefe1

2014-04-16  David Tardon  <dtardon@redhat.com>  [98a4e74de6a8cee5818a2929cd21a9002bab2948]

	require librevenge-stream too

	Change-Id: Iee5eb88e5fec5c9c1bb848bac237efde9a46fe4a

2014-04-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8c30fab02698e5344cf4e6b04d70114ae2207ad4]

	A license in spec file

	(cherry picked from commit 880a1c4b3831ccd6c7233ed75939612dbca9c646)

	Conflicts:
		libcdr.spec.in

	Change-Id: I6533912dc5d7b40d7373e6235f7ec12038f3be51

2014-04-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fc01f33aff7981704fd2381ef2ad01a93e465040]

	Add 'compile' to .gitignore

	Change-Id: Ibd3a2228f104650f63383a1df2ea5eeeaaac4d89
	(cherry picked from commit 9d5e526216497693fb4a9b94bf31c35585c3c5ed)

2014-04-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1c8d66f69f3df0a51b3720bde8ece1a4752c48fb]

	Sanitize the README file

	Correspond to the new simplified license
	Remove the mentions of supported CDR versions in order to be more future-proof

	Change-Id: I2d782a61ce938d521fb617744697e81a93dbec40
	(cherry picked from commit ec11a06d7fc5ae6c3f53149b93902fea771d806c)

2014-04-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [534d406ff9f6b124fddb3e18b44176aaba54f032]

	YIQ255 - second service - deuce

	Change-Id: I7cc39c45a3d4a826a20d4e57dc703bec7bd0818e

2014-04-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [168d996f23d74ea2a47b4d06e841e3fc9a87f97a]

	First try of YIQ

	Change-Id: I14e981584a5d62cc9e1eff8da5821530c99ff43c

2014-04-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b1d482cb6fa2182e15d73b0bb0d339c4000fc695]

	Try hard to avoid a sequence of several "Z" segments

	Change-Id: I14a1f987ed59131fe3f262f81354da0f2d2fe21d

2014-04-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f06333217ad55e841c4bd5b20b4eebbf7a9ce2f6]

	Working around a CorelDraw x7 bug + fixing palettes

	Change-Id: I56ce7bfd3a49923cbf6e989687f02cdcf287eecb

2014-04-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ab2f1654645b90409be88686d1189bde01ad173b]

	Fix closing of paths with certain particular CDR documents

	Change-Id: I9d60baedd56e60ec46b5f5ed11790f38670df948

2014-04-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e5d64cd09294285a2a3f016a8e24abd98759781a]

	Palette 19-03

	Change-Id: Id679b4f5c6f02a3982245811b06a77f4bb526421

2014-04-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7e91dba8fbcb237f281ad0a113cf51326154b4d5]

	CorelDraw X7 txsm

	Change-Id: I2f0507fe2a72f3c1adb3ff60c557ca14c977ec6a

2014-01-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6741805f2e98fab62899ebb6776b93d473a2ec94]

	With agreement of all contributors, simplifying licensing to MPL2

	Change-Id: I7dec727b183d9543cdad67cd9202195cd7370877

2013-12-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1136084ac3b014acb1455dae8ed7dd0d7dc284f0]

	Implement the RVNGInputStream::existsSubStream

	Change-Id: I6ab1179522f8c109ccb5178ca9087d25bbf15187

2013-12-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3e06fd204357adc066efd1375540f0eb1908bb1c]

	Export only needed stuff on Windows

	Change-Id: I004e93c6159bfd7479ea14f2e40fefe9b20953b6

2013-12-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6d30f036332c31b3bcc1a4e54d831ca63b6caa5d]

	Re-astyle

	Change-Id: Ic84f176d190362364a3f6d13a811df3447fa32e6

2013-12-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [98177d97e4c4f5f281cdc7bd2005de046333cddd]

	Allow equal identing of functions


2013-12-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5ca4ddf38f1248908697e0b6bc301a940929f925]

	Insert only single empty text

	Change-Id: Ifa5823e5f6ba588b84858e8b0b987bb54349af46

2013-12-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1ac63edbf85f72590b4601aa16e8fd75702c2530]

	Split spaces, tabs and lineBreaks from the text

	Change-Id: I6d7284b9a2b629f6ea609ebd726a4d421e571603

2013-12-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [00dea16c89b68668ea1ced9601fe33b728db4234]

	Emit start/endDocument calls

	Change-Id: Ic8413c9f24a0fa06ed6bbb24d1be8dd638b176aa

2013-11-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [098016594ada45f56fb9777db723f98ec963fb14]

	Allow cdr/cmx2raw output callgraph

	Change-Id: I62441d16abbcd7f51a223568f93ad9252398c2f1

2013-11-28  David Tardon  <dtardon@redhat.com>  [70a49adcac0c7fa201ba75cae4784f68914cf778]

	add options file for astyle

	Change-Id: Ifa12207d6d3bde25af615b293ca1f18c839a3a2f

2013-11-28  David Tardon  <dtardon@redhat.com>  [69f9ef62dca5158f84c00c24c66afca2df50b522]

	add myself to AUTHORS

	Change-Id: I40930bd9771a813c5aa4a9f4811aaacc6e552e2a

2013-11-28  David Tardon  <dtardon@redhat.com>  [166993d65df5724829b1b64a27ba5cb96d745574]

	document the current astyle settings

	Change-Id: I93696d2ac46fe15b1d94cf07342cc14db34b4c7f

2013-11-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5c5d18e14ca19ef90d42a71cb1dab4fa060689dd]

	astyle -HU -A1 -k3 -y -n -s2 -r \*.cpp \*.h

	Change-Id: Iadd40c708ad1cf74843dda3a6ee6f7d374766f68

2013-11-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [84d90a4d213b15337a8030aa18e843554ca1c882]

	Fold in the gradient

	Change-Id: I431b96cc00343492e0cac255b3b9482a780d7749

2013-11-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3bf9405bfccc355b9061a061601c834a46b28c41]

	Fold tabStops into the propList

	Change-Id: Iff95c7d1b24ba6bdf6e5c98e598ce7b35451fa7f

2013-11-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [73e56f4fc9f9346c56873c04dedcad8e17d31388]

	Folding paths into propLists

	Change-Id: I1abc8e69ef452f22c0f464126bc72c2a28c03fb5

2013-11-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [be72b4f99fabd5ca109d2b64c0e3155f0f45410b]

	Don't parse arrows for versions <= 5

	Change-Id: I90684d9c731d6daee25e18bedbbb0ee951327671

2013-11-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c90e4c9587917bbe3c28597f6b7392f86a5ed71d]

	Use the right streams in right places

	Change-Id: I204d422d3645d4527044bb3d1750ad6ab625fc02

2013-11-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [77f866cd44b3c024ee64fe050d7ae6f55a5a8784]

	Adapt to API change in librevenge

	Change-Id: I70254919ee04d9111ef12552c113b3cc0064ab01

2013-11-08  David Tardon  <dtardon@redhat.com>  [e7ea841053efbbc8cb2ee25bf6339315713e08dc]

	adapt to generator changes

	Change-Id: I2cde7e92dc1b0407bbd5c143cdd585e21f0494d7

2013-11-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [37a7b199f6ea34ea9c4d59a9adfdd736bac28887]

	historically this svg was in svg namespace

	Change-Id: Ie68b6acfbc77b9aa712b9a72caf5ae379d59a19f

2013-11-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [58cb70b98f57a1775b5c4664bf500029ae06f628]

	Some little fixes

	Change-Id: Icb50d0d2971a86997a59f484bcf25cf5a67f91cb

2013-11-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [08177147508465da5207bac24661465cf0c39a12]

	callcatcher action

	Change-Id: I4e84acb68b51c9087206dfda37c592229fcc77a7

2013-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [007dd6502fc8b007251bc477399407dd93220389]

	SVG generator must be a core functionality

	Change-Id: I02e28aeeae34769760875020837d861d4b706fdc

2013-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c8d5fe5e64cb8c4075ff11402440ef85d09b958a]

	Fix dependencies

	Change-Id: Ib6face91cf14f0fbb36c03627e73f3f5c064d282

2013-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a9b2a6129dde8e3e59c8f9233c391cff5ec5aef1]

	Port to librevenge

	Change-Id: I62edd528358a5f2614b75b21bdd9d89e7c8dcc8d

2013-11-03  Julien Nabet  <serval2412@yahoo.fr>  [a0177028897b054e8ac807f818b3d1eae5d44850]

	Some cppcheck cleaning

	Change-Id: I559eaa5195f2f88ae79349162e136e845d462e9f

2013-10-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [66c1820f54c52fe3a45ef1fe9f33b669b620c324]

	lcms2 and zlib are compile-time dependencies only

	Change-Id: I58f4fe2527f309fa862a52403472e123d86030da

2013-09-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b279f9604bb1194e2eadf201dd5b6277e7494fea]

	stroke-dasharray: solid is invalid, use none


2013-09-03  David Tardon  <dtardon@redhat.com>  [5e7bbd79cc6b90c7473efda605259c9613c52c41]

	use cgit/gitweb URLs after all

	Change-Id: I62fb1a9e3e53c823c2e2a3db120220c04488b73b

2013-09-03  David Tardon  <dtardon@redhat.com>  [e1c6373b727a3c79941d23b825538c32e49c80d9]

	update README

	Change-Id: I4b64948956b8819896b2ed2ee117fe747c38078f
	Reviewed-on: https://gerrit.libreoffice.org/5772
	Reviewed-by: David Tardon <dtardon@redhat.com>
	Tested-by: David Tardon <dtardon@redhat.com>

2013-09-03  David Tardon  <dtardon@redhat.com>  [833fd12ef16b40d18c8bd2e0259618d4d8a2503a]

	simplify use of git-review for libcdr

	Change-Id: I6570dcfe3992706b07ee042ea60eafd991e5d8f9

2013-09-02  David Tardon  <dtardon@redhat.com>  [e405bd898fc753a103faa20f270d9418b9fd21d6]

	update README


2013-09-02  Norbert Thiebaud  <nthiebaud@gmail.com>  [833c85d2c01f94a1c415274b0d816a2ea5e7c1e6]

	add automatic git hook setting in autogen.sh

	Change-Id: I95eb02dc2d347337d7b85f85d6459353278fb137
	Reviewed-on: https://gerrit.libreoffice.org/5745
	Reviewed-by: Fridrich Strba <fridrich@documentfoundation.org>
	Tested-by: Fridrich Strba <fridrich@documentfoundation.org>

2013-08-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c3115d938be364817777225d09cc2946c01df195]

	Little tiny nit

	Change-Id: Ib4fed604412afdaeb3ec0b03c1c8328eae554842
	Reviewed-on: https://gerrit.libreoffice.org/5717
	Reviewed-by: Fridrich Strba <fridrich@documentfoundation.org>
	Tested-by: Fridrich Strba <fridrich@documentfoundation.org>

2013-08-31  Dave McKellar  <dmckellar@gmail.com>  [fed51f29956c96cfe9cfcb3e132f8b2ba0e1b10b]

	Changed the Corel Draw versions for udta

	Change-Id: I56858984c6ce67d732294020669687053b7b8b50
	Reviewed-on: https://gerrit.libreoffice.org/5716
	Reviewed-by: Fridrich Strba <fridrich@documentfoundation.org>
	Tested-by: Fridrich Strba <fridrich@documentfoundation.org>

2013-08-29  Dave McKellar  <dmckellar@gmail.com>  [a727df96747c093a00bd7562353fa9d9488a9313]

	Made my udta change only apply to Corel Draw X4


2013-08-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [624ebbdb53cd792cb0458f9444250e59e7321c05]

	astyle action


2013-08-29  Dave McKellar  <dmckellar@gmail.com>  [cbebfbaff8b7826bc631bbf51eb9a06ee5121326]

	Added initial support for the "udta" fourcc.


2013-08-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0319fb78d19f2c13ad4fb3f90e4dcaedb4976412]

	Some more transformations of markers (still a mess)


2013-07-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d66580805e97af0eb21907034f23033b99f4990b]

	Really reduce the scope of have :)


2013-07-27  Julien Nabet  <serval2412@yahoo.fr>  [6f5b8e2ca95aac2fe8215557514cb2cdc923fe5f]

	cppcheck: reduce scope of have


2013-07-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7a9f8be1d17e8e74d2d0e60da36152a300a4de6c]

	Hard depend on libwpd 0.9.5


2013-07-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bd02faf784088b47c6aaabdc1bab2d5f7993a7da]

	Some more trying to get the markers right-ish


2013-07-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3d46ffb3840898d303777fee0f8900101eead9e2]

	Some fixes of parser


2013-07-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [20179ba61a98c1b9896c751d847838383e968d23]

	Some more code towards handling arrw


2013-07-06  David Tardon  <dtardon@redhat.com>  [df155ad555c5e4eb9c991d7e08b5a7816e399257]

	coverity: avoid memory leak on exception


2013-07-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8dadbeb2385227a5066beeacf1c48c5121b31a5d]

	Code for visual debugging of splines


2013-07-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e5e26505e64487a1d292b3d59960456ee766830c]

	Decompose Splines into a sequence of cubic beziers


2013-06-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a15af9bca619989202c73d9d5ea436c0ac89294f]

	Get the arrow information to the collector


2013-06-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4a075558a28bcd09f554760ebcc3734afac304fc]

	Simplify the path collection a bit


2013-06-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c5b8d15ce18f1ebd63a5c3774c44f5ca60a8b8fb]

	Initial reading of arrw records


2013-06-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [17710d0b48f17bc29882ace7c4100ce883d54503]

	Adapting doxygen to the new layout


2013-05-31  Michael Stahl  <mstahl@redhat.com>  [8cd766dd834781c07e678753af302f8fccb24846]

	fix build with MSVC2008


2013-05-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [87f6727d616d4819101f51b21c92f32232dc7e31]

	Bump version


2013-05-11  David Tardon  <dtardon@redhat.com>  [4cd2e20ed2c21dcf0b7b30a9e297d763f9910f0a]

	handle broken internal streams


2013-05-11  David Tardon  <dtardon@redhat.com>  [d6c0337db446820d14d2dc9c3c4edb22955dbc02]

	return if profile creation failed


2013-05-11  David Tardon  <dtardon@redhat.com>  [687bf90feb08cbfffa27d9965775e6815e06a87e]

	avoid deref. of past-the-end iterator


2013-05-11  David Tardon  <dtardon@redhat.com>  [06c7ff400e89939c9cf5b274b032a21d61bf59fb]

	return early if there are no chars to append


2013-05-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [96c7e1e9ff2f8ad8911858080533bfb8b2a9a80a]

	Making Michael Stahl happy (installement 3)


2013-05-04  David Tardon  <dtardon@redhat.com>  [923e2667b275441ee1861e27c882493c8ebbef4e]

	coverity: try harder at not throwing execptions


2013-05-04  David Tardon  <dtardon@redhat.com>  [e508b60b9bf73ed6bdbc204f33e9f7b5c487fb99]

	coverity: add missing break


2013-05-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1dcce015b4137c12d09d5533630b5c9150daf797]

	libwpd already does this conversion, so don't dupplicate


2013-04-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6945e18f1ff703918e291de8ebc461769aad2783]

	Avoid define clashes with some windows headers


2013-04-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [babcaf57f0be62582a2a459c881eb83d4ce61e63]

	Make this fridrich-less on console


2013-04-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3128bbb7b943b40ab3aca2d95c8b202b48242b42]

	Some sane defaults for the build


2013-04-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b4502282333e2109b2e37f8984ac762380fbad64]

	Assure that we don't link with boost on Windows


2013-04-25  David Tardon  <dtardon@redhat.com>  [7b6657f598ef5993c454d7bf3a9cf660e4f25db5]

	fdo#63734 angle is represented internally in radians


2013-04-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [530725355fd76ae2a0d2adb4c9d6e6920d5f3933]

	Bump to our lucky version


2013-04-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5db615427ac595fbef53e229cb5efc626a6ce571]

	Add x6 text justification overrides


2013-04-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2d45b0c43a43ba235afdf0fbbb3ac489b438dec9]

	font colour for x6


2013-04-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2f023df97fb8b3ddf0fb8590d4a13a1f3ef638be]

	Change the way we pass around the line and fill styles


2013-04-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9bfe5c0a570ca0a00110ca47553c0db21ae820d5]

	No need to check for a header that is not included


2013-04-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f114b46288a23b8cfb1300c89b372c9d8a3c709d]

	Boost-based parser of CDR x6 colour string


2013-04-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8d5113bde40c05b722a14d257ae633fb30efd960]

	Check for more boost headers in prevision of spirit-based colour parser


2013-04-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f291b04aaef9f37bcbc046895fb9393ba303c55b]

	Collapse two functions into one that is the other's only caller


2013-04-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e25fd12e203544a86a588af71e8c83b243320552]

	Actually extract some style information from the style string


2013-04-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ded49b837453e7cd08b67e1a109e6b0fbec4cbd5]

	Refactor the CDRCharacterStyle struct


2013-04-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [759665ce62a20ced7f5948108ce39afc7bfc3fc1]

	Parse style string using boost::property_tree::json_read


2013-04-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c1bcc3bc59e566c86ca4e019c476dcaf0acc0d40]

	Little fixes of txsm for >= 1300


2013-04-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3b826892311d703af9eef827e908d8c4e3694b12]

	Fix version 6 txsm


2013-04-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6808b992d6ad569312fa6341ac24a5d18a64c1ac]

	Fix text on curve for version 13+


2013-04-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2df5781d2ad924731bc981be6a2147c95b5498d0]

	Txsm for version 5


2013-04-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4faca6bbe9bc8be432c4a7de8a3834adad0b8d73]

	Initial txsm for version 6


2013-04-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ca208091fadb40c6a2903a0b001e897e071a6591]

	Minor fixes


2013-04-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [50d1fe49e22f1a04fa3f32e70e5a58fe56dd7e9f]

	Refactor the character descriptions a bit


2013-04-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [188956efa91e06b2196c2444ab4936b39405a33b]

	Styd for v 5 and 6


2013-04-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ce2c827e57851f8f81b349ac6905e0f02775be53]

	Refactoring of text-related stuff


2013-04-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7b9388dcbca9c176e556c8b67138593d4d98a116]

	The indents don't seem to be really giving anything coherent


2013-04-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d9834c77f04db7680118789b21ef27140911426a]

	Improve readability


2013-04-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f46ff71bb5cf18301caa8768f164c0cd06b12d50]

	BIPU support of text colour


2013-04-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f69bf77ebaf68cd4ab907a2f25793b5c423b752a]

	Bump version


2013-04-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b11e5a536fa1c9194f5b4d03ce28ba85b5963ce4]

	Removing some warnings


2013-04-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3d7854657b01bda75ff542f7c70c643ae8666377]

	Reduce a scope a bit


2013-04-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1c679333dfa9fd5c02110323955bbc1412eafea1]

	Rewrite the elliptical arc transformations


2013-04-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [636256807d96fc2262157ac23df0909883bb3f39]

	Some little fixes


2013-04-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d1720863f294630d6c233fdeb0049c0a0f3300af]

	Adapt the MSVC build to the new c??2text tools


2013-04-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f4b09293154df756478213c638508421488bd520]

	Add cdr2text and cmx2text utilities for the purposes of debugging text related issues


2013-04-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b4fddc0074b5751108302c2331c7e134bf469554]

	Try to be as accurate as possible with guessed encodings


2013-04-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [79bf900ad62492cf3467ea6ffde0d82a199ca4ab]

	This is even better


2013-04-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0e4bfab2ba604759db7933604bb5fbae5a41bc6e]

	Override the encoding if fontId or encoding is set


2013-03-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d543f25cf256f83ca1ccabc84a7eb100efcf7281]

	A little tiny nit


2013-03-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [560258a6522992570ecb9b6a1c4a2c3474d7f1bf]

	Rework the utf8 to handle all valid ICU UChar32 values


2013-03-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5f156ceae675f194f0cfabb12bed35e28055db35]

	Use ICU for UCS4 -> UTF8 conversion


2013-03-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4e7632756bcd09f03b9c287ef3ef0934fa83dca5]

	Use ICU for utf-16le conversion too


2013-03-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4144e6e95a6ff2a73b5c94af87eb51a25c56e103]

	Some cosmetical fixes


2013-03-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [67787854285459557e0bc8f89e14091da07c743e]

	Detect also uppercase " TUR" postfix


2013-03-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4169445c86bf28406a50129e8b0d650eb70ae2e7]

	Partially fix GOST Type A font issues


2013-03-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [67df749356995f86fb112c12785ffe664dcd0f49]

	Make processNameForEncoding more robust


2013-03-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6abe245c424474853c96ea74b7d8ebe57a35d9f0]

	Hackery for position of artistic text

	Adjust position, since we doubled the width of the
	bounding box, so that text does not wrap

2013-03-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8be9728c54733bd357cc117a80547f582c827967]

	Some more text properties


2013-03-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [319e9581a0a7b7507fc998dd3a9d205b95a46588]

	Ugly hackery to try to get the text position right


2013-03-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [87306508378794439babaace5cdca49e7905da4d]

	Guess the encoding only if text is reasonably long


2013-03-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2aca278872fb6d9cc7fdecd41322ae82b4fa541d]

	Trying to get some reasonable position for the text


2013-03-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fe0ea8729b77daa9d732b8b3ebf054381b7bed1c]

	Some more work on the text frames


2013-03-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b68d1926a0bf57a3a48327683bcb7a7f472de325]

	CDRBBox -> CDRBox


2013-03-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [59a24dd4cc9a8aa697609e5d21c789f901709e3d]

	Stub reading and processing of text coordinates


2013-03-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5bcf082f8b15d5af258b4c16dca7177b6762f2b8]

	Override encodings in stlt


2013-03-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6db42e0a640ee09e04a1980675bc1df4f7b79099]

	Some more font encoding hackery


2013-03-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4c9a34b15ba348da33e5107514ec4e3eb34fea24]

	Bump version for a point release


2013-02-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dd762061856bf745891a9952bd06106ec22d2b67]

	Handle multiple paragraphs of text


2013-02-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1a57685d19fe29762b2c56b80fb5e342d7185ee6]

	Simplify a bit


2013-02-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6522ca9fc4ffa63e6d3020903fd4c3869012fc32]

	Extract encoding from font name


2013-02-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8fa13903271ef1b7979232fa65b69f4b6320171a]

	Trying to fix rotations, sizes and positions of bitmap objects


2013-02-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [16aad5b68991bb0ae2874f8a7fa196fab8fe5990]

	Some improvements in rotation of objects in SVG generator


2013-02-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3f5713d58d85fb331d73ba01e958c4d3e628e0ee]

	Some more arc fixes


2013-02-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2fd1c6c2939533ab3bf366c113b35d1a038e0e06]

	Trying to fix some issues with circles


2013-02-09  Julien Nabet  <serval2412@yahoo.fr>  [238768aed4dbd1ae3d679dbd09014c34de2afe03]

	Some cppcheck cleaning


2013-01-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a1e065eefb22f877b231f19895c41090df4bb3f6]

	no need of makefile.mk anymore


2013-01-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [76e810ab718354fe9f246761876faff04951fc54]

	Build cleanup


2013-01-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [14d0efcd5387a26c8e364efbd4b7a6fd1f925194]

	Check for icu CXXFLAGS in pkg-config branch too


2013-01-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [715f2c8a7015676c26e009228a4197da14f929fa]

	When running icu-config, get cxxflags too


2013-01-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fabf05464f137875a5ee74fcc21938161ecca077]

	Handle correctly negative angles in ellipse


2013-01-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7e6ea2b717c740489c3b5440ab5e8a82dd3c1caa]

	Make ICU inconditional dependency + more intelligent check for ICU


2013-01-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fea15b833ed0057b1389aafd5fe8c57ed5eef918]

	Bump version


2013-01-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0cae5b7b126e9f4fb676e612735c67a801b08c05]

	When using ICU, use it for character conversion too


2013-01-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cda00fa23d8519a11007e5240996ec5c5db27ac5]

	More general configure option, since we will use icu for charset conversion too


2013-01-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1efc3cfb5e97e46ed19c39e8167c9fe06c2e21bf]

	Stub extraction of encoding information from font name


2013-01-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2b7062a1a9405a652a36acb72befa0d9d6d06595]

	Make ICU dependency optional (opt-out)


2013-01-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e7489f20cf800a61820fad3c94c370c2c35ea73c]

	Avoid null pointer crashes inside ICU


2013-01-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d2489548a97c3d1b200cf51fa26d20966076b47c]

	astyle


2013-01-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ec852bd198fa1aaeb578374f6a8a049c2b333b09]

	This is integrated


2013-01-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7bf6130b715080f15b0cdc2f1149f581ae1483de]

	Use ICU to guess encoding


2013-01-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [92f9fc9ca9f0a1abf2e2cae1bb025fbac32f5ce7]

	Let us depend on ICU


2013-01-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6ccfa769ce735728cae0c6ad32b195b62f6ac00f]

	Adapt the charset detection patch to ICU


2013-01-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d6b10adc30c0d370887c9caf94fe462100c46f96]

	Fix build with newer autotools


2012-12-13  David Tardon  <dtardon@redhat.com>  [625677ba4ec9f0b0bb930fcefab5b7fc91b9bae8]

	coverity: do not let CDRDocument::parse throw


2012-12-13  David Tardon  <dtardon@redhat.com>  [c21b18b668b9efc0dc14257e1e43a85c1ccea807]

	coverity: do not let CMXDocument::isSupported throw


2012-10-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [19064e9e63e26881078f3787dabc68c598f93ff7]

	Cppcheck warnings


2012-10-07  Julien Nabet  <serval2412@yahoo.fr>  [e8ec323f581eb215bbd16549932085bb00927b31]

	Simplify a bit


2012-10-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c0f326b16ad0e03af78155fe75096764adeebbc9]

	Some more configurability about warnings


2012-10-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f25f72568a527528e0eedc4319b165012c1f657d]

	Fix obscurous win32 linking errors with Visual Studio


2012-10-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fc8fb57fb8a5f2ac50a677d919b7ec3790532454]

	oops


2012-10-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c2376eaa4cd62d0069797429ed652942e1018fee]

	Wrong cast


2012-10-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d36d4ea643c7ec78524f54ce987b70c57e4e4433]

	This is libcdr-0.0.x series


2012-10-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5fd9723fe0b8bb1cd3c5f131e160181f152bb9b9]

	Warning: initialization of integer from double


2012-10-05  Michael Stahl  <mstahl@redhat.com>  [a9d5d9363bf946aba65adcc5eb1ef7c0b57a0ab2]

	configure: split up LIBCDR_CFLAGS/LIBS into individual vars...

	... so that LO build can pass these in individually to override
	pkg-config.

2012-10-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [eb3a1abc99f96a6285c77f62a284e1793219d082]

	Add Visual Studio 2010 project files


2012-10-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [58a4b2f4a1d8d5ddb6f37b0479006dc8a1a896f8]

	Make environmental variables more self-evident


2012-10-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f57ab08a53fda1932a59fa4f5adac7e74744f827]

	Add also varibles for zlib


2012-10-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4fd3bf2b33b190151d885ccac2dffbabb5681412]

	Adding the Visual Studio 2008 project files


2012-10-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [269cf5f5aaaa4098627097cfba75f5dfe5a2b4bb]

	Avoid truncating by shifting unsigned chars


2012-10-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c5892bbf01c802b7085962962d1dd134bc20bb44]

	Store the X6 text style string to do something with it later


2012-10-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2062871ecc76bede358fc8c042ab0c1b61f13735]

	Bumping version for an eventual release


2012-10-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9d493d8c04880afc2c66d7fedc15684500c72532]

	Some more information out of the CDRTransform(s) class


2012-10-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fd374fb9c8d58f018bc5f8ef2f8ff5bef706858a]

	Don't start page if found a group in clpt list


2012-10-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [97233910aa129f875bfefba372589c831339e6a7]

	Adapt to the fact that transformation matrices can be chained


2012-10-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f075ff2671df45aa9f9f0498bcc4988ad1d87f58]

	First primitive implementation of chaining of transformation matrices


2012-10-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8f1471f99ec168731bdeed6cd8c8cb38345d557c]

	In the loda-like trfd, take only the first 0x08 as trafo


2012-10-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [34954089886dfb985702dfc32c74d1b08aa6d391]

	Rework the path code so that we emulate what is considered as closed by Corel Draw


2012-09-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ea60a8123336f2ca37bc2672bafe6cb06fc94c9e]

	Allow building against older libwpd-stream, but without performance boost


2012-09-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8be050e8823917a980242dbc4507c5e1a07ec85e]

	Check whether seek succeeded


2012-09-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b7e68761a61cf2a3c7ebecb2937fa106913f4ad3]

	Speed-up zip central directory search, but depend on git version of libwpd


2012-08-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [013edc407c147976a31a099c476dceb8ce10fc75]

	Fix cppcheck warnings


2012-08-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [28a10b13c87d7ec92e9af651e8e14e18c4ca7a60]

	Avoid warnings of autotools


2012-08-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ff7fcc105d2a67d65071febe77105826228120dc]

	correct copyright foo


2012-07-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d421b9b14347a132d3c7c0d5098c93099ae64e67]

	Appease automake 1.12


2012-06-30  David Tardon  <dtardon@redhat.com>  [52d0c03458e15c4b35182254902e685289f834e0]

	coverity: fix memory leak


2012-06-30  David Tardon  <dtardon@redhat.com>  [3a2e518da751e2edc1734f1976a4e353778cd6d0]

	coverity: bin superfluous copy ctor


2012-06-30  David Tardon  <dtardon@redhat.com>  [e33479961999b528cdbd7c5acfe3c44ca5013dd4]

	coverity: copy ctor without operator=


2012-06-30  David Tardon  <dtardon@redhat.com>  [8d71f8179fbac897300b70576c0fad3334d83d7b]

	coverity: remove superfluous copy ctors

	Compiler-synthetized copy ctor is sufficient for these types.

2012-06-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ef0f54105cac53f3b44cc7bb7e1f66b088380863]

	Some more cppcheck cleaning


2012-06-27  Julien Nabet  <serval2412@yahoo.fr>  [a12403496a3365b0f2e60070079b50688c59a2ec]

	Some cppcheck cleaning


2012-06-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [480d337884b630e2ef1850a1361774561502e3cf]

	Disable optimization in debug build


2012-06-18  Julien Nabet  <serval2412@yahoo.fr>  [f12b8fd6bcf4fb7ebce338e93a958b297a7b51a3]

	Fix some cppcheck cleaning


2012-06-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bddbd28329c4ee97e995151fec3b6f0ddc049469]

	Add missing typedef


2012-06-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a817a882ee9ce8937328fadfc039df28e2d59977]

	Bumping version


2012-06-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1acc76307f92df4d1406b31690c7a6d2f09f7f22]

	A minor scope fix


2012-06-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f024a35df6a99deabd90c7c17e28b2a7a70d58ca]

	Some initial parsing of styd and txsm for versions 5 and 6


2012-06-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [26e14a25ed882dcebac1255e76b4da73e343e9eb]

	Fix txsm16 with text on path


2012-06-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dc9405c27caffa97e7404938a8553e4c05c23df7]

	Trying to behave well with mislabeled version 801 documents


2012-06-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fec24eb1d259473c88ec958a3733858d3888cac3]

	calendar2_v08.cdr cannot be open by CDR, fancy_text_v08.cdr yes


2012-06-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5d620ef7a34dc8364cb51564ac0c75046d1dbc96]

	Adjust set11 conditions


2012-06-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b482f9aa8e37ef253f021342909a0ed491a28ea7]

	Adapting to Valek's knowledge about set11 and dropcaps


2012-06-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9d8130995e6f89836f89ac9433a73cb502af8635]

	Some more experiments with txsm16


2012-06-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1cd0918f410553d47c273f8be636a2a6dc034430]

	Txsm for version 16


2012-06-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [29bec9d6ac6c6592fca24e8556246ee178cfbd1d]

	Small fix of versions


2012-06-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [61127e8dc685d4198e994790241d17b0398050e3]

	include stdint.h and inttypes.h unconditionally in non-autofoo build


2012-06-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9aff5ee857a933d13b366728b9ad9d6292e8a0fb]

	Fix some clang warnings


2012-06-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [38bb5472f5b6c36dbd9cdfb8a57c751251695d3d]

	Warn about shadowed variables too


2012-06-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e5f0f21eaf2ed801037efff61841c05e1096e1a1]

	Add 5% to the text box width to cater for differences in font metrics


2012-06-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9021824a27f359160f2195d60b12ca0c8724c4b6]

	include font encoding in font ID


2012-06-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [800447ddac2360fdbd1e4d77e8e0ab9f36b26b81]

	Warn a bit more in order to have the LO build a bit easier


2012-06-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [09f410712011396119b476b78d628d123c776480]

	Fix a typo


2012-06-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [17f7699158e4e2fb13693d8f3963ed8a2ad19c1f]

	Some more work towards text support


2012-06-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [767346f37719987233ad2ed317096f7204578649]

	Parse the font size information


2012-06-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ad1d460a6d6186e02d08c7ab13efb4b4ae48954b]

	If object's bbox exists, use it to position the text object


2012-06-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f8806823ff012860650e1ae331ab6c69a8d11b41]

	Reworking BBox collection


2012-06-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6a255addf392b4b57f1290b9d247792f21516a2b]

	Versions <= 800 have one less ids in styles


2012-06-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9897bb0ec0d326dcc2279bf293d9029b931def40]

	Fix stlt_s2 offsets for version < 1000


2012-06-05  Valek Filippov  <frob@frob-laptop>  [b70185ae37cebf41496cae6c60bcb560b9e96ccb]

	Stlt styles for num 1,2; typos


2012-06-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [384aa5c6eff6b09282b5298dd735a922e57bc30b]

	Some more stlt parsing


2012-06-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [912ba00fd1a3efca5b307ae1e9f6174aae6f3f19]

	Some more information parsing in readStlt


2012-06-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4d2572c860c2f44623be72273678a728f52ec040]

	Simlify a tad


2012-06-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [689da2d505b5302f1dac1fcee384d79c0c4cbfc0]

	Avoid that the fragile readTxsm and readStlt abort import in no-debug build


2012-06-03  Valek Filippov  <frob@frob-laptop>  [49c93604fd5e3cc0ec8b407a3fda06149470f6f6]

	asize was missed from v<12 styles


2012-06-02  Valek Filippov  <frob@frob-laptop>  [a1c4a1e7827b8a656a564e44ac7cb69f853d0012]

	stlt fixes


2012-06-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [74c28824a3bde0c370b118e9fe5166be7ed84de4]

	Different theory about stlt in cdr8bidi


2012-06-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [918281005af04656c10741d36776d051190a9782]

	Fix parsing of cdr8bidi stlt


2012-06-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a0a87b41a668db88decd7f9d9b7502f878f9bf73]

	fixes for stlt dry-parsing with exception of cdr8bidi


2012-05-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3c53e8486aca20ff44457cdc572f328309d38644]

	A fix for cdr12 and be more verbose in debug information


2012-05-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [51165345534e15e780858f75147ade74cdc44b2b]

	Trying to port stlt styles from oletoy


2012-05-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [816150c89cf5d3add1a49cf42ccef9378d9c927b]

	Parse stlt ver 12 until styles


2012-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [03cb9c7ae9b1677ad06c719a61413f43b898b699]

	Filter out not working text conversion


2012-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4777c7c8a936bee62c5bf86e149d3e5c653ca6ab]

	Don't throw from typedetection


2012-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [daf10480ec50de67938b3dfb482d336bd0119e07]

	Use the new process color palettes + fix some Lab colour from before


2012-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [df462ef69b03743f63b85d245fe6882930ce455e]

	Adding process palette 0x22


2012-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b577248852f2c7872e422d858ca473e84a9d2c04]

	Uppercase


2012-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [57fa0cfd3f5b571d24a60d0753901471da0464e1]

	Adding process palette 0x21


2012-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5c6255f2fff0fa7720a4f4bc246d8f884fa1d59c]

	Whitespace change


2012-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5ff9c4bb5f677af295e6e754bd306d9310fafb98]

	Adding process palette 0x18


2012-05-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9a8102e31e8fa824ac5c3cf8d6a729f94ab5be3c]

	Adding process palette 0x0c


2012-05-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c7801bfbcc763c1c46905bc9bff72059f13bb063]

	Decode text in StylesCollector, where we know the encoding of the default style too


2012-05-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [811e19f145f769bb6dcb0e3ec245cef0ae0c9d5a]

	CDR: a little bit of txsm fine-tuning


2012-05-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [55e7459e5b0046500a2371e90bb1131ed9fa5d10]

	Only one x3 throwing


2012-05-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6c42486de4a76524d6ff178a8195dd5c074d4b43]

	simple patch to do some charset detection


2012-05-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8aa0a589a565a404765bb5871337ea663e05a7e5]

	CDR: parse font encoding too


2012-05-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8ec9a5792aeca35828cccc30e35485c7cca56bea]

	CDR: fixes of version 15 txsm


2012-05-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ef74765834b43ef34d8460886513ef42821ba090]

	Basic text support (no char attributes yet, but information is there)


2012-05-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1f03d4bfb2bf1f265f1026c3a454dc80d0c58902]

	Initial output of text


2012-05-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9cff2e5e09597b8ba764dd2b2fc1b08eafdb214f]

	Decode read text to utf8


2012-05-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [54f1a8edb61c1bc625ff6840e55236ef8735349c]

	oops


2012-05-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5c5a45a5dbfdaf4e63f08bdcdbe98300dcc5b6fa]

	Implement basic charset conversions


2012-05-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [198bfd3e8b8b260026a220ed288272d22542c343]

	CDR: modify assumptions


2012-05-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ae50136756e2a386ecebc5a9144455531a55bd1c]

	CDR: Making dangerous assumptions about CDR15 txsm


2012-05-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [452be739dd360251224e749b743ce3f2356a0188]

	CDR: parse txsm for version 13


2012-05-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a62279b42f74268374437b6cf5b517ce3cb36c18]

	CDR: Trying to parse txsm until version 12


2012-05-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [513510a08110ce38563b33f6e9dcc3f971b5003b]

	Txsm for version 7


2012-05-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8d6f491a4916e783f75c89b594571fe3971ce1f6]

	Initial 'txsm' parsing


2012-05-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [247a294b2f2be731fac1709ea18091e46e1153c9]

	difference of stlt between versions <7 and >=7


2012-05-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8438286373be9d22af61d9145e0b37335f9852ac]

	CDR: Starting to parse stlt


2012-05-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9129a126c91abed3c9893838f56dda69bd5a6b5b]

	Read font names


2012-05-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f65c6f1b3eba8a8f038cc1c914481f7089843dfd]

	CDR: Some test reading start


2012-05-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [01fc6383487f724d68180b247bce1a29a8b43b8b]

	CMX: some more fill parsing (not really working thought)


2012-05-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [62d35f094a3bd1bd079637ae63e9f10e651df2b1]

	Some improvements in CMX5 parser


2012-05-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2f393f038e44ef6c46e2f71d76cbe2533a2bb681]

	CMX: reading ellipse description


2012-05-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bba3765d6e8ee4040b43884233d70ed702cb0274]

	No need to cast double to double


2012-05-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [17b3779bf25b9f494f7171e7bcd44366a1834ce6]

	CMX: implement Jump Absolute


2012-04-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [88af9896a00c7e9218865aeef7dcbb89bd321197]

	Some initial handling of CMX 5.0


2012-04-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cb09432f017c94927de7281f9c6694299f230073]

	CMX: Get position of objects within bounding box


2012-04-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a0b92bbfe47e91d2e95c79c68fb838ae19d1cde5]

	Handle parsing of documents without thumbnail


2012-04-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [569d68257b95fa12d1e9a9fd08715228dc0ebe81]

	Trying to parse the rendering attributes a bit


2012-04-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5f582630706a425c6d64064f8681ff96b19d79ae]

	Read rectangle in cmx


2012-04-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7b0ec4c69bd37c04a5a789aa68d6ded7a98c42dc]

	one more outputPath


2012-04-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a356cec24d7b1058a1fa62d7d2bb294dda4aa233]

	Extract path output into a common function


2012-04-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ac8c7a8a7bbe7943828fcb5255ab76e83e75b4a9]

	stub other shapes in cmx


2012-04-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6d5e50fc3230489949f4db84c2ca2c323034782a]

	Fixing parsing of Full color fill for 32-bit formats


2012-04-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [654d6d2fe2635ea7e879696aa179862ba2f94dd2]

	Some polycurve reading


2012-04-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c66657cda4f7f185279938f267df1d86e1d96e3f]

	Get Empty pages for CMX documents


2012-04-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a337dcd6b62b745b4a6b949d4fbf0287c99b7fd5]

	Don't bother with second pass if pages vector is empty


2012-04-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [98eda67b5cbaa372e84b31a8233f3c8dfb61a651]

	Getting the colour constructors right


2012-04-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [aa5b4cd8f9ab81c6feae567fe2b22068d4881041]

	Oops


2012-04-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ef3ec8e65b9ebc2728844ed5fbec8cd6321a5a8c]

	Some structs to help apply tints in different color models


2012-04-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [732571a8d52167c5478b2f053fba754e16175f49]

	Stub some stuff in CMX parser


2012-04-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [46fee0647398f3f41d4ef57a38c0fd719f0447cf]

	Replace the default CMYK profile with a public domain one from Scribus


2012-04-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b3cd46dae06273b2d38ade40ab32698aeb2fb000]

	Adapt the alternative build mechanisms


2012-04-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [48b2b4a3ae4f78f1fd9db864045ef6f703babfa9]

	Extract useful stuff in a common parser class to be used by both CMX and CDR parser


2012-04-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9ec786ef8f22934e374eec05f3abd3b02382393b]

	Fix some clang warnings/errors


2012-04-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [75432f3a75ee8ed0656297452b122d83972bae39]

	Default to black


2012-04-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cec2948effcf9f56ffaed7ddef72bbd2d99248fb]

	Remove some warnings


2012-04-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [829c962b5dadfa5b32c6718c8aa7aa4f8a566dc7]

	Make work document palettes in CDR10


2012-04-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d8656be758fcf53eb315230fda08963b3484a0ba]

	if the records7 is empty, still try to get the moreinfo


2012-04-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [45cde6906ce16f0e481fc28c8dd638dd2cd29704]

	Type 7 contains the actual additional information pointed by the offset 0x10 word of type 1


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [174362797d7e334349737d2c15beb9748253e70e]

	Use the palettes


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b8bed7e98191acb68721debc8eb3f6bcea39bb3d]

	Simplify the lookup of the CDR1 colorModel 0


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [72049682580e0a502ef0524d74247b443090022f]

	Add clarification about the way we obtained the corel draw internal palettes


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [52c265b9f55263aad1156321c3ec06ac5b9fbd8d]

	Adding PANTONE Pastel Uncoated palette


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [714c1afb8e02ee66b4a6b3c8026b1e4a0d9d6438]

	Adding PANTONE Pastel Coated palette


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [223f29c25fb87e1291c07cffa125173417748abe]

	Adding PANTONE Metalic Coated palette


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4884ee7a6f016ee3891abc9a18a02753c03488ec]

	Adding PANTONE Solid Uncoated palette


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b022d11466a8a80be1a5db5ad0e6b22fd5ef6472]

	Adding PANTONE Solid Coated palette


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9f87889d65e94435e28f91d97904928ce8b24b76]

	Adding PANTONE Solid Matte palette


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5ca09eb7942e212dc25370e8302fed297b77930c]

	Adding PANTONE Pastel Colours Uncoated CDR10 palette


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [17745e2c344f19ce5c7886a64091469d1bfbed65]

	Adding PANTONE Pastel Colours Coated CDR10 palette


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3f289b54cb5b5567a61fc620d13c35a0f5978d4f]

	Adding Pantone metal colours unwarm CDR10


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a18718fe1f4c40cf516a2c8d3db2670429dab8bf]

	Adding Pantone Match System Coated CDR10


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6fb82b612fb2f908a154ecc4bbb6c0642b9d9036]

	Adding HKS E palette


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [56b6ef63a218e8698fa35b0343b12830daec2fb9]

	Adding HKS Z palette


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [58ba24f07a6ba756c9d9dc9256852241f53188f4]

	Adding HKS N palette


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [48c881c8d76dbe4c7a0300dd2820bb8241d2b48d]

	Adding HKS K palette


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [81fa0f5cf4c901cdbc0455f3a6939493c7253d56]

	Adding HKS palette


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [41655b611a37893ef676ce95769eb70529b8abe9]

	Adding DIC palette


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [628f91d7907495a544f49eace4a993c9a490d9e6]

	Adding TOYO palette


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8e70f330ef83bbca63447573c02417c01af177d5]

	Adding SpectraMaster palette


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e4dd9f9d290de9814faf4f1f1643912255933835]

	Adding FOCOLTONE palette


2012-04-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [33eb2d44e868135808229808de13fe35bbef51b7]

	Add the header where we will reverse engineer CDR palettes


2012-04-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2651d681a2c931ee3f274bd69656eabb80ee6ac1]

	Shorten a function name


2012-04-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a500f0a3caa334340420b0905046aa642717f626]

	Trying to consider page size overrides


2012-04-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9394f487adf70ac9c7de87841d3583b4361b81ad]

	Bumping version so that I don't forget


2012-04-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7c1916c2a5f3976cbc4cda85a91970cd4ffdf429]

	Read vector pattern for 32-bit CDR file-formats

	The actually vector pattern fills depend now on the level of coverage by the CMXParser

2012-04-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [aa69b3dc8e96603a479db56fdaecde4247e067d1]

	Don't show master page even if it has objects


2012-04-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3114632d6f081e4a580a77b10fb1d6397ac95948]

	Read gradient offsets for CDR2


2012-04-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [06020b4db710bab5924f5e890f00eae8f336ca87]

	Handle colourspace 0 for CDR1


2012-04-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0cf9fb5192735d520606fb629a32c9de0e76daab]

	Use exception to handle CDR1 and CDR2 differences


2012-04-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0ad32e0f5a3b1bd701057c750b2516fc8ad6d357]

	Fix parsing of CDR1 documents


2012-04-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [16d0aa410290ad0073fb823e5741089f83ac9fad]

	use switch statement instead of if/else if/else if/... chain


2012-04-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [718aad85764b49f22ff816f302990d18b9fa2126]

	Fix Waldo gradients


2012-04-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [92067855f29f82aed2d9e4ba71f6c9774a06ca9e]

	Group trafo parsing + extract common parts into common function


2012-04-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9ccc5cb638a1f1a2fce2e859ddd264c85c302082]

	Implement Waldo full-colour fills


2012-04-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9b91927224cc3a08a957111a197277f53f4bfe0a]

	Getting Waldo groups


2012-04-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6fd76aaeb1c8c8165d5c526da96c4f6d3870fb1f]

	Don't parse the vector fills as a document


2012-04-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bb5bba37f0f8337cac20dfbdaedb54a354a72a8c]

	For versions 3 and lower, group transforms have to be considered


2012-04-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e51c058997a19aca60e7cb6dda4c04efad377800]

	Fix offsets with Waldo pattern fills


2012-04-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [49102b58db72d4013c9425e74fe7fdbd2909fcad]

	Some work on cdr2 pattern fill


2012-04-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [18fb129e6f0e97b6454b0aaab96c0282693c5e94]

	Remove a stray Fridrich


2012-04-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7231a139e564e425d6e32f84f59cd121b04cbc23]

	Handle Waldo Bitmap shapes


2012-04-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [40e83b032dc1bfc566e38703604a10b5113793e4]

	Initial Waldo support


2012-04-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [efe20983505734e4b52d361a9512423d2b7744e3]

	Some more bitmap/texture/full-colour fill fixes


2012-04-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [08d54a0a34ff8abdc073a6798061fdcc3439507f]

	Why to complicate stuff that can be made easy


2012-04-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b923439cebadb6775a2f0727aaec7e8b2e7d441a]

	Some fixing of raster/vector fill for CDR4 and 5


2012-04-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [765a152e176cf255e9c06409ff9a1731eb63a976]

	No need of keeping the input stream as member of the parser


2012-04-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ad22db8d1127cdf817b25ffe29b7c27596cf6507]

	Parse Waldo inside CDR parser


2012-04-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [69228401a5c981845be7c5c0061d85e84d69a064]

	Make alternative build systems know about WLDParser


2012-04-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9011e7a5588ae9981b583906485c4a5e514ebcad]

	Dummy WL1 parser to be activated in debug mode


2012-04-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e9283922c76fb84410c6acd42c61eb5c4ef9ad36]

	Fix CDR3 line-joins and line-caps


2012-04-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [925369aafa76f115c4435be4169972409bd45137]

	Dashes for CDR3


2012-04-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0fa0883fd881bf9a57d12d7b9a87ec9fc1f3ef78]

	Bitmap fills for CDR3


2012-04-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [99ea8afbf65c85b3545f268a7e0ab8f90009a036]

	Pretend that we support all CDR versions


2012-04-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [617fa3c5c4c311348d86d0dd47af50ad71b5065d]

	Parse the 'vect' groups into a separate outputElement list stack


2012-04-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e874276b868eb8c63eb2c9989d93aea49626664d]

	Setting infrastructure for using 'vect'


2012-04-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0fa770641f7429a256b63b52122be3e7e95725c4]

	Fix gradients and pattern fills


2012-04-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [78f97b927a1ac3eb59d4b6a967dbab8b791ea5d0]

	CDR3: first try of outl


2012-04-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [92c25cfe8e118af0f7196f093f01693507e39828]

	Some little readColor changes


2012-04-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4b27e424957295518199d3b571523aeaac1df94a]

	CDR3: trafo and colour reading fixes


2012-04-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [37b58820975be7bd75826cebdeab88ec74494e37]

	Some more CDR3 improvement


2012-04-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [be52127c58d9a3a69dfeed0ea19d8a141629cf85]

	Fixing the 'lobj' types for CDR3


2012-04-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [88afd903146d20482475a573a9ed2236bc9c85a1]

	Add 300 to supported versions


2012-04-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4cab8c93e2bb77ac802119e92d0b220f6d159ce7]

	Intial support of CDR version 3


2012-04-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f6e29ee930715fb109c8dead0a51f1e70b79de44]

	Modify assumption about colorModel 0x01


2012-04-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bf1a03b2bca298247075436a484031fa0c4ba9b1]

	Assuming cmyk100 for all CDR4 colours with CMYK being unsigned integers


2012-04-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [222157e020051798ebb802e1b1e7ade29d8681f4]

	Initial support of CDR4


2012-04-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [31e3a3077d526ee0a346d73618f62c2785021d83]

	Fix gradients for CDR5


2012-04-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0512b8ea94393d777e631b69b394bad7191f609d]

	Fix angle reading for CDR5--


2012-04-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [36320532b7d37dc1b64641cfaead2bfcaa6b8d6f]

	A little more of CDR5 fixes


2012-04-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e9bab3a801be5c771850b735f2931a9a3524508f]

	Some fixed of pattern fill


2012-04-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e3abe524e8b82bd04996a236f4edfaded9f0ce57]

	initial support of Bitmap in v5


2012-04-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [67e9c37d3410600e5a214ea68efdbd103e0eec07]

	Fix back CDR6 trafo


2012-04-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [650b38a9613bd86648259f30a0a1f25ee5befdb5]

	Enable v5 in non-debug builds too


2012-04-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9e151a362f09e600e61364581bfc8a552e64ee65]

	try not to crash with bitmap loda for v5


2012-04-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7f7ff2b8d18d3bc1184b429531ea01f140fd9797]

	Initial support of CDR5 (buggy and only in debug mode)


2012-04-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [26f936c943cb341f48f0c9c319d47ec447701da4]

	Trying to get right the logic of outl for version >= 1300


2012-04-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b71c674bb4c51a9abb25133dd1c21bfd4344a0b5]

	Fix writing out of groups


2012-04-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8cc603f3362fce35d50b0c87fd1d8bcf0b3f503f]

	Initial support of groups


2012-04-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5c926df5ef0eebd40aa9d85bc2cf3a33ac6c2807]

	Extract color profiles from file if present and use them

	Libcdr's output is always sRGB. Read from the file the CMYK and RGB
	profiles and use them to transform RGB and CMYK to sRGB. Still use
	our default transforms for cases where the profiles are not embedded.

2012-04-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8e1171c2cb03de5919532eaed7a1781d0c87daae]

	Fix C&P error


2012-04-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f0e82ec1369afa65ca80080d2397a167a2c3dd21]

	Initial support of texture fill


2012-04-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7000b3734a0d7d32c53bf2990ac5a7a1d83545a4]

	Remove accidentally left debugging output


2012-04-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [035fc911399c34eb6acdeef35aa109863db01d04]

	Initial reading of iccd


2012-04-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9b2f5f3b43ac054f444465b48c5fcf687080676d]

	Allow extracting first stream of a directory


2012-04-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [29dd706dcae83f6280df2a090683316dfd724dec]

	CDR_FOURCC_* -> FOURCC_* since they are not CDR specific


2012-04-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f92b0aa4fe4c34395031a4e25dad5e27b3e6def3]

	Read longer integers in one run


2012-04-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [74819f04b34bde0e25b2b8e0d6f93db34160bb40]

	read the name in one run


2012-04-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d9d618518e0a57450481333b2d1445854c0abfca]

	Read and handle fourCC as 4-byte integers


2012-04-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [077ea55b921e972a1ab3aa64bbc31c4a2fd4d9f4]

	OOps


2012-04-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c2ed137dd33252fca07c827f8d326b27728bcc11]

	Some refactoring of the CDRZipStream to get a resonable performance


2012-04-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3ff44d76efb7f3181b18556792e8c4fb20d4da1d]

	Unify the X6 redirection in one generic function + check for version early


2012-04-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a3884c2f8a6f74a4c7a0193234f61f936c9a54ef]

	some little code cleanup


2012-04-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a716e143d83640bf7cfbe2ae8faf551cca854da6]

	Correction for rectangles with rouding that scale with shape


2012-04-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5418564ec99493fe03569c1b8c105a6237c768ad]

	Don't read information we don't need


2012-04-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9d0dde501d9d3943646c1e8ff845e251dcaac274]

	Trying to optimize even more the CDRDocument logic


2012-04-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8fc367c7bffe6731b3adf3f706d8c4d87a71d6d6]

	Remove some warnings


2012-04-02  Valek Filippov  <frob@frob-laptop>  [7549fb14f092cc822290d95314e5f407c20e6ce2]

	Round rect corner types, ver 15+


2012-04-02  Valek Filippov  <frob@frob-laptop>  [7e9d1c38564ef3f330488a16c9c9e4d139522ed8]

	Round rect for non-scale with shape, ver 15+


2012-04-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [878c7ceccbf4b97582fa935c5fcd83398e7a889c]

	whitespace changes


2012-04-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2fd08d82138b421deea904063302ae87484ef776]

	Trying to speed-up the zip creation a bit


2012-04-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1595eff17044708c9477474f34576caf140a5f50]

	Don't read information that is not true


2012-03-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d2e96ac0c11a8001bd0e37c6e77e75bbfcf3b254]

	Correct bitmap fill offset for ver 16


2012-03-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4b8f638e59c74eab661273f40982c9e54eb0858c]

	Bumping version to honour Valek


2012-03-31  Valek Filippov  <frob@frob-laptop>  [78df74399ab17d14a393b313171e9bbea0717269]

	Fix pattern second colour in ver16


2012-03-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e4b785d21d27f4f820c4dbd6d7f9c763bafc730e]

	Aligning to oletoy


2012-03-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [824ef5cc168670fd4c0cf785540a1dc5ecbbaff5]

	Applying Valek's findings


2012-03-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d0c4f0e385d5bca53801929d7055c49f3c08666a]

	Adapt more functions to the new knowledge


2012-03-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bed2ec8fe82e2f5a749f52f04c654c45ecfbdf8c]

	Some more knowledge about the CDR16 riff chunks format


2012-03-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [41677c3c1cd754cef08a6baa1351696c4713dd7d]

	Actually get shapes out of the CDR16 file


2012-03-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9694d533ca76872ed848eab54b3ca79d9a91e24b]

	conditionalize the bailing out on 0x10 being a function length


2012-03-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [85f84c1b159e11cd42448ab02062cb511441caf6]

	Initial parsing of CDR16 document structure


2012-03-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7139735f06134109473e436c6bb8c0b5f7049262]

	Parsing documents in two passes which will be needed by CMX


2012-03-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [88fdc7c4f261b55979d59d5886f04bd27137bc02]

	fix overkeen inplace editing


2012-03-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a0804ba472764b0112281c4743003e101251c3fa]

	Some vertical whitespace cleanup


2012-03-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9fdefe3ed7f71af86ed44dcf887fade28d92c373]

	small modifications of scope


2012-03-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7c073475b05d59b0be9ff5460e65495d8e810437]

	Some valgrind goodness


2012-03-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1cfd1708eff0e51896239bd55eb7540cd1169acb]

	Unused member variable


2012-03-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c705cb8e96209e19706bd3f3eaf8e1ceb744c8b3]

	Call inflateInit2 instead of inflateInit for the zip stream


2012-03-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a57e8c2914e6475b3aa3e316a03c296dd65c187f]

	Some defines to make the future CMX parser a bit more readable


2012-03-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a91fdd60a013e32fc9a26d9e22d3ff7e1856d94a]

	Fix for buffer size


2012-03-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c05715b322d34bd5aa45b819b30f41bd407a6155]

	Unsigned/signed comparison


2012-03-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a4b4aef37c843a07f867c26d22f5a4b5a25deba0]

	Some bitmap fill fixes


2012-03-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a8437c7a9159fc6f187389438cf941b448e7df70]

	Bump version


2012-03-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9833f15567418a01511efcb2c579e61f62474a02]

	A little simplification


2012-03-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c190ae85577387e07fb659a6971d85e45b350dc4]

	Rewrite the zip stream abstraction to avoid licensing issues


2012-03-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2bad215575caabec4d1449ee9a6d61141b832e1d]

	Some more CDRUnzip simplifications and beautifications


2012-03-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [753a551adaef2ce2e08f3eaef460c378b4951d4f]

	Simplifying the zip stuff a bit more


2012-03-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1c9f5773ac4740d664d079d17365716224ff464b]

	Fix mingw build


2012-03-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3323376c4f26456dfe808a152bc0dae0cbd31e28]

	Unnecessary header


2012-03-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b65746b011b428951ec7273f68d5c8b80b20b236]

	Some gradient improvement


2012-03-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5fb36ee505135e4e6de8b1a310d23797d42d1b1e]

	Handle fill transparency/opacity


2012-03-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [01de4d1b2f7dad90811f44d912a7200df13d5af0]

	In non-debug build, don't typedetect CDR that we don't support yet


2012-03-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [27a223403402172898b01d28db108955cb82028e]

	Small CDR6 adjustments


2012-03-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [de6317ba4d6397559379ac4abeeff04ccea6b089]

	Initial support of CDR6


2012-03-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [23ebab7daac5e24962feb1f29ee8a059f1f3ef13]

	Parse disp chunk in CMX too


2012-03-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6351e8b838aa3e44cc99a0ba86b5eca81ad9e442]

	Emulate stretch


2012-03-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f3018890158beef79772c272eb25d6ba35670b8c]

	Parse the CMX header chunck


2012-03-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0d778527a46b1700af004778e3baaa057cc817ef]

	Put right license headers to the relevant files


2012-03-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [36836759ebf01799566ed61bff439a1183794cf9]

	fixup


2012-03-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8bc62c3b1a066787d4cbd1eb39168e4337e3be6d]

	Updating alternative build systems


2012-03-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4284187b23de5151c8bc2750d8ba0c26aa17e2d0]

	Add files to ignore


2012-03-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fe3ea88bcf03192b5305abe1292c084357cae809]

	Set framework for reading big endian


2012-03-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [16d25b1174248f1a51624e76e3974e2a2d69f6c6]

	Stub CMX parser


2012-03-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [58d2d1134ba62d3e4b575111e24f8940052f0e49]

	Don't assume padding at all, just compute the lineWidth from data size and bitmap height


2012-03-13  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e858521b25cdfa2193b3b6451a2b504d55a7aaa8]

	bitmap fill for version < 900


2012-03-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [768d49796d8788a19896f29d4d88b25922a03e43]

	Trying to make the stream constructors a bit more efficient


2012-03-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bcf0d216d70ccc3ad8aeef0dcd8b689cb682881e]

	Improvements of fild


2012-03-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ebbd3be736c7490eca77fc896328200115010bae]

	tmpType 0x0a -> 0x10


2012-03-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [64664ed0316600f9c19633700ad5fac18033f08e]

	The pattern data is not padded to 4 bytes, assume 1 byte then


2012-03-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4b30246bb629becaeaf9df2a2d5db2afb63901de]

	Parse ftil and send it to collector


2012-03-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8e908bf7d26a87fe86d48b6b32e048ce4ab3829f]

	Adapt to new knowledge about trfd


2012-03-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2762a3bcfb5ec601cd8d691f925152bb350bdd97]

	consider edge offset


2012-03-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0e37595bc7d09c55c966dce1ca360a50fc48f3a1]

	Unused value


2012-03-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5c7920643a88eb965a4e9972cea9112df8d95fe7]

	not need many zeros


2012-03-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fb647f83cead78d38cf2e28c0b8d39907b60dce0]

	Specify alignment of the bitmap fill


2012-03-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f206f172221cb305771308abe5dead7d5993a088]

	Fix reading of pattern data and bitmap generation


2012-03-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fc8435f13fe4ff2a04cbf00ea7e58fa9de569b53]

	Silence some warnings


2012-03-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [610c7970416465aef3e5b4f91a9db3419af1acfe]

	Bump version


2012-03-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0dc0aa53bfb6c10fadc13c01eb06c61c52ff86df]

	Use the width and height of the pattern fill


2012-03-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1307f57003e90d3fd642f3a1057898b19c74f179]

	Try to emulate the loda 0x26


2012-03-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [aa2e08aae7067dd3afe2ca429d06fd667b0476fd]

	Use the right terminology


2012-03-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [981a23dc9a3472aff06561c68ca7012bb9f54d9a]

	pointTypes are unsigned ints


2012-03-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e5d6bce1d5a81e817e29426d48b81b46c9ef4d72]

	Read and store B-spline data


2012-03-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f3d26e4e8471b1ae82c0fb68e04a0f0d8119e315]

	Initial implementation of scaling stroke with image


2012-03-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fccaf44310d47c82281bf5f04af6a25a1bfac84f]

	Use the readAngle function


2012-03-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a8073afa72f147adfb9583a013d02a88564673e6]

	Fixing some >= raster fills


2012-03-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [629ea71cb1b135a43a98279adb7fd0e82044995a]

	Use the new reading functions in readRectangle


2012-03-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [977fe2779b5e113ef60dc58e286f1524098586bf]

	Functions for reading coordinates and angles


2012-03-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [15200654f305e38e121ac54f8b89b7745bf37e3a]

	Whitespace


2012-03-06  Valek Filippov  <frob@frob-laptop>  [60ac37b32d872e5178251138263699c060c3e81a]

	"Fix" trfd for version > 13.


2012-03-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [db3d0b310a001cb658df356f18c9c2a43c93af78]

	Some light changes and clarifications


2012-03-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9bd2aa51542310a06d786baaa4ae7fb9b5cc4f66]

	Update alternative build mechanisms


2012-03-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [18ad4ce4bcc190e8c3bfda15348e5088de2c4cbc]

	Prototype support of parsing version 15 documents


2012-03-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7052950138626dc1edf3fbce584bcbf23775fe60]

	Get the reading of zip streams right


2012-03-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f39ae5c3871a610b0ae227fdf76e9f51882884af]

	Initial attempt at reading zip files


2012-03-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [03ea527aebd54ef58708264b880828cd1e03c9b1]

	Fix mingw32 dll building using autotools


2012-03-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a143cd2b0b76a07dddc3427c287a998fa8d36584]

	Fix build


2012-03-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [229232d41700fd00ddadd65ee856c95051b1fba2]

	Trying to do HKS from RGB tables instead of a CMYK voodoo


2012-03-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4bfc98fb6d85686b66afc59b680225b2247213f1]

	Add -lz to the pkg-config Libs


2012-03-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6e5edc3c1a09ebe6592a006490e0cd9d54b916b3]

	make depend on lcms2 pkg-config module


2012-03-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [06aa5b5376742416be28fa1aa541887374ecb749]

	This really should not be necessary


2012-03-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c2cd73c8b8334a15e396acd070084e65678ce695]

	tabs -> spaces


2012-03-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9dcb53cd72d770ab4fd4b8555caf3bfffc5434b9]

	For the while, emulate nicer tiles


2012-03-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0a403a472a6a57a2e778ce785d1dd283b9bb714c]

	Consider svg:x, svg:y, svg:width, svg:height separately


2012-03-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [aeb8712d0a84df95ac95482f684d908c4bfe846d]

	Reverse the order of scanlines in pattern


2012-03-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [da4f0e48db2e24a2327975d955015190a1bfdd3d]

	Trying to support the proper pattern fill


2012-03-01  David Tardon  <dtardon@redhat.com>  [09ef19d31b82b640845de86b8101fd8ecb864396]

	update COPYING.LGPL to v. 2.1


2012-03-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c2d4faa77c92e1a442f099801fb2b204cd69d917]

	Fix reading of the palette


2012-03-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2aa5a98007cfe9bd4ce1733c33147d6f387868e9]

	Generate SVG for bitmap fill


2012-03-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a232533353b9abd24f89be93d849d73324e8d420]

	Try to pass to the existing API information about bitmap fill


2012-03-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bde9f0228d44cb4aa97015b2024c1faf985ac4cf]

	For the while, instead of pattern, fill solid with background colour


2012-03-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3a82c99c4014c2704d80ff7d4bb93c5a33a9497d]

	Create a CDRColor struct and use it


2012-03-01  Valek Filippov  <frob@frob-laptop>  [9f80c5e53930ddd2c35f95115e4c516a7e87a44f]

	Off by one in offset.


2012-03-01  Valek Filippov  <frob@frob-laptop>  [4a7ab2c47f68877fde5dde746206ec3d77fbd33d]

	ver13 fild could have different offsets.


2012-03-01  Valek Filippov  <frob@frob-laptop>  [e0ab317164c87d68cb33e40acc7b900ed2a419e8]

	Fix for gradients parsing in ver13.


2012-02-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d8b4bcf56a19537a8485b4373d3e55e9471c4788]

	Initial imperfect gradient generation


2012-02-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6d09d778a5b7d1fc4c5d571aaee90e2c90308ab1]

	Fix Lab bitmaps + make L run from 0 to 100 again


2012-02-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6f6d352e69edb608306f099941a86ad6e29e7c48]

	Some more gradient code


2012-02-29  Valek Filippov  <frob@frob-laptop>  [e27f0f8d8984a7f293650e96f31073e428e3c8db]

	Add Lab (0xC) conversion.


2012-02-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c3e52091a11490e9d6344aded5af243d7d064125]

	Trying to parse the gradient information


2012-02-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0cee430211b24c5d6ca17a4ce75fb4f3af4fa622]

	Compute the array's length


2012-02-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8e0722be433905387e99ec8bb68aca41a541df3b]

	Whitespace formating


2012-02-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fbf46bd9efb65d8f04ba8c5d87c83c5571b9faee]

	Some more proper copy constructors


2012-02-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5f4fa5a475e492d7d106d6cc92a37df66ede012a]

	Add the gradient information to the CDRFillStyle struct


2012-02-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3caee6ab5586da87d06edcaa53a4990171170a35]

	Basic types to support gradients


2012-02-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [986925687db29f1b79a1e9e50d53b44364b43c10]

	Convert the default CMYK profile to input only


2012-02-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9a97f0ae2c36582776530371338cee830b29d9b9]

	Try to render Lab similar to CDR9


2012-02-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [53d9b055b67fa4337b04b7a2121d0ad6e29ed6fb]

	Initial support for Lab namespace


2012-02-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [20428d6c1e23a8e25708db9d1793f57a96312d82]

	Fix a typo


2012-02-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [053b845482601bab0d1e83566981a1368e9a18a3]

	Make this const too


2012-02-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [970deeb13cf7687b36df6ce0ca3e54059e664b7c]

	Use a free CMYK profile as the default


2012-02-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f19b5025ccb7c9002dc3fcf258626e09b88017c3]

	Clean up unused functions


2012-02-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [977e5d620fbf673d631151d441ce61c91d8e1aab]

	Convert CMYK colours using liblcms2


2012-02-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [97d569d14f6710f81f1fad94e11d9c77bf66654d]

	Add the new (to be) lcms2 module to the dependency of LO build


2012-02-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c85486cf5ec26c6b16688ed775a1f83b60774f23]

	Check for liblcms2 since we will incessantly use it for colour management


2012-02-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a931a07605ca4960896fc980895919cce3af2aa3]

	Trying to emulate the way CDR8+ interpret CMYK


2012-02-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a9a013c41f5429167f06299831eacd4abd7f0434]

	0x11 is CMYK255


2012-02-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f6d85d5e364fd4828231318ab6a73c2b92b1d999]

	Maybe hairline flag is not what we believed


2012-02-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4d2358e4e79f0de0b33c5dae32a522de50cb644f]

	Don't make behind-fill hairlines


2012-02-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [edf6e6c6480e55df2650805d3598888ec67e776e]

	When we don't support a fill type, make it transparent


2012-02-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9fec6d4f50c1e4aad1063ac00bb205288539ff6c]

	Some more trying to get HKS accurately


2012-02-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [698206543d2fa8f957fac56df7fe437e4f1f8310]

	Initial conversion of HKS colours


2012-02-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [19fb3e9f86ce6c1dd3ab05fffda44b3dff50bc36]

	Reduce scope of variable


2012-02-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0e46c8be070e1eb8bfd3d0dec66d46de787c1916]

	Valek, Valek, C++ is not python


2012-02-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ebe24fcb8c9171261753d520aca40b368c2bb7a4]

	Some whitespace cleanup


2012-02-24  Valek Filippov  <frob@frob-laptop>  [1511af54337df7c93c4e19446036ee695ce4a1c6]

	Outl in ver13 could have more data at start.


2012-02-24  Alexandre Prokoudine  <alexandre.prokoudine@gmail.com>  [edca284de553e6854f7eaec2fe6c88b88d0f1011]

	Added content to the README file


2012-02-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e6544395c2c9589e2287f6751788b99e09fbc025]

	Adapt to the new knowledge about line-types


2012-02-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ce80f1359a8fc61cd55db128c038dfffebeb30af]

	Now that we read the outl right, default to no line


2012-02-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2c84071e9f5babc26b8b5c138fa82cd57349780a]

	Silence some warnings about unused variables


2012-02-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8d3f7d6ff8ede59f697318ac1936e8c5ee1f3a60]

	Push upstream fixes to LO makefile.mk


2012-02-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [288099878743f6a53e844ae2b727c4e8ac275279]

	bump version for release


2012-02-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fd777a4e2432df9ea4aaa54f929523b313b0c250]

	tabs -> spaces


2012-02-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [11c2e40d1b7b5b7df7050bc0a7c9ddc319597c95]

	Emulate hairline in SVG even more thin


2012-02-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [87417d9852aea5ada09380b748b1cc30a5cd2453]

	When Pantone is used, the CMYK255 values are stored


2012-02-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e451620ffcb8a94059b38488c725a1792915d7c3]

	Take into account the hairline flag


2012-02-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [98870f477abf8482a1fee982886acb741aaa3146]

	Close paths that are supposed to be filled


2012-02-23  Valek Filippov  <frob@frob-laptop>  [fa363703e3d36406a02b5da20cb4f8edb7eb748f]

	Fix readPath.


2012-02-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [df3e7ba27bd5fab2de988f612d0c42c814d844f6]

	Fix z-order of objects


2012-02-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [83a5eda732d1ad3ab5fb0513cfbcb6f8d753ceb5]

	Infrastructure for reversing output of objects


2012-02-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d9eb948de436ffd8dea77d7cb3ed7f33f688936b]

	Whitespace dance


2012-02-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [31ee56ac0b50d6a4b8c503be3a53cdc2a5b5a1ce]

	Some more stuffing up of the line-style


2012-02-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0b7917307df1522fab8f606dc6586dba3d5edd17]

	Follow for Path Valek's advise


2012-02-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [79fd56f1849d4c6e197d47d1fa7e6cfd43ec37a6]

	Convert embedded bitmaps


2012-02-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9b243be2b3eeed4ec45f2cc94df5bf5842cfdb48]

	Read/collect only useful information from bitmap loda


2012-02-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9a6375a3c69e7e4972d207de4a22a29efd37f517]

	Add files to msvc build


2012-02-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [720e2fffde6a61cde6fe8da3348617d0de91ba3c]

	Adding files to the LO build


2012-02-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2149f543b8da26e6c734a83a854dd163fd15a7b8]

	Some versions of MSVC don't have round, so work it around generally


2012-02-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f789a8d1a4dc7a720ef3730d889fea0fc55d6dd9]

	Reading other colorModels of BMP


2012-02-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e182804febf181c10caa61d95f015bfab3692262]

	Extraction of bitmap with BPP=1


2012-02-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0b9002e7bcc3bcd16f940baff2f2581fdbf54ce8]

	Some more reading of bmp data


2012-02-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [23066e07eccf1823f2177c837640eca7544d19c5]

	Whitespace


2012-02-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3c6c9d591d86490b5538fad024a2561c62372c21]

	Actually clear the stringstream


2012-02-15  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a0d8e1c961874e383061ba4084be3eebceab8452]

	Output a vector of SVG documents by the API


2012-02-10  Rene Engelhard  <rene@debian.org>  [e65b9e299020cb7c54846b148996247307040488]

	fix .pc (s/visio/cdr/)


2012-02-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a70e70306d3cfa15eacc218fd53c36094a302e3e]

	Some unification of defines


2012-02-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a785dbb2d94ca517672be736bf7ca1584e2b3062]

	Include the CDRStringVector.h


2012-02-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bf29b04376f64bfe7d25d503414805184ae62248]

	A helper class in order to return an array of svg documents for multipage


2012-02-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [830703017d66b18bf155c2a1dfacfa6a8b10dd0a]

	Silence some warnings


2012-02-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a1c47172f7063ea78c46f5d104e22ecc3b6cf1cb]

	Bump version


2012-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bcc7bcd9201316808c2000a797c083d261eef4b4]

	Consider the 0x2af8 only if in polygon


2012-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d5d333e6af0cd7b4170f5b62bea22dd9e6125cb7]

	Some more bitmap related code


2012-02-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9da48598994770851bf5cdfeb5aed4e192655b36]

	Initial (non-working) reading of bitmaps


2012-02-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b2de151aa1b68863525d9dff44d99c0a6b53382d]

	Get the polygon fills correctly + handle rounding errors in comparison of doubles


2012-02-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c32a20f4c66bcfa62bf97a659306fe6ff8126517]

	Initial support of polygons


2012-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e1065a60a6427600ba514447c4bd6f8a900f9397]

	Trying with an epsilon even much smaller


2012-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [247b1673b098269ca82ce8b1013bd7d7de01275c]

	Revert "Trying to fix the rotations (part 1)"

	A proper fix of a bug makes this frankenhack without any use.

	This reverts commit 3bc63564455b0d8f67f7047827a37da8b4a61bfc.

2012-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [406f99db3f9e581d25f0306fefbbf1c8ce5478e2]

	Fix transformation of point by matrix


2012-02-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3bc63564455b0d8f67f7047827a37da8b4a61bfc]

	Trying to fix the rotations (part 1)


2012-02-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c08ea07f9d527fe382a1f0503524280cc0166351]

	Implement the transformation of an elliptical arc


2012-02-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [465fa788e2536eda19f236569dc46d49bcbd8561]

	Make the CDRPathElement::writeOut a const member function


2012-02-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b64a5bba63f105131848b6250d15cd26eea2d7ee]

	Refactor in order to transform paths more efficiently


2012-02-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b6d46ebff927112d9827b23b9a6ff30fe73a3b9f]

	Evenodd seems to be CDR's rule


2012-02-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [48cee3bc0c4218a34eccd60bfb433e3203b76562]

	Fix hairline emulation in svg


2012-02-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d422b8357a74f373453ae41330c457edd1f70e35]

	First suppositions about loda 0x25


2012-02-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6a3d8a91857ee989e00f47b2eb1fd1b9fa312ff6]

	Support colours in HSB colourspace


2012-02-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bd8b8d7fdd48e8447742005db1b25780401c13fb]

	Support colours in HLS colourspace


2012-02-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a667b0e26abca102276462d9ec58d1162b262ae5]

	Fix some ellipse reading


2012-02-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a592341ba0d08b999e4c16e376fa0e535dbad743]

	Trying to fix the dashnum offset for x3


2012-02-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3a502d41ded111a479d6caaf8336403f02363ea9]

	Read and use page size + fix rounded rectangles + output even empty pages


2012-01-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [667bf18fa0e24ffa6dbd78ff4e2e5a30bae9b68a]

	miscellaneous build fixing and version bumping


2012-01-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cae6a0f91a900ea873faf8fc36f05cacec1f549a]

	Debug message when we are throwing


2012-01-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ac9d474410ce4c66e0bf9a926b3cdc8bb445fde1]

	Fix version >= 13 parsing


2012-01-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a738e8e70abeb07e2085f2fada3b34b44fe4de56]

	Chuck no more needed debugging section


2012-01-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c6d7d63f26ed61afe90f802959bf16ebe8a30d62]

	Stub a callback for object rotation + some reformating


2012-01-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [48ee3dabb76dc4a956b88948be69057767eb74b1]

	A stub of a class that will hold the path for easier processing


2012-01-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [76d9a9ef0335ad51338fc8ee086213c1d223ffad]

	Modify the ellipse chunk information + sane defaults for page if we don't have the information


2012-01-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7645e98da753f3f39150566249e7f71a2a8756b1]

	Version 7 & 8 fixup of rectangles


2012-01-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cc33446c6826c79c1e64ed138e2ec9d910d8417f]

	Initial conversion of ellipses and elliptical sections


2012-01-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [3a853dc1a39b501ab864a681079cd00886e8f37b]

	Handle rounded rectangles + emulate hairline in SVG


2012-01-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b6660f7491336e3b93bd2dbd0beaf0f169466a8d]

	Initial support of fill and line properties + work-around a mess in Draw with filled paths


2012-01-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0f93bae41cb13124a732c3cd7f18a1e74021418e]

	Tweak a bit the logic of events


2012-01-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6daa6b02a7757eae69850dc1bb097826db428958]

	Output rectangles as a path


2012-01-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b7eaf7755993f6c45560ce8a66818876a143c055]

	No need of that include here


2012-01-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7d069a75853586b3ea32e999c17220f7974ee73e]

	Parsing of fill-styles and line-styles (kind of)


2012-01-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [260031cd48dbb58bab5722ea96ab30f8e1deb51a]

	Some more stub parsing + map function names with the record fourCCs


2012-01-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [14cc97d1a5f8805771cf569defa3d725159d5d15]

	Forgot to git add this one


2012-01-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7885b4c8610c7c4d4abc1584747fffa25fa3a605]

	Play with transforms a bit


2012-01-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [02acdd5428bed2760d5f7e4418e8159f2e57af64]

	Reverse coordinates


2012-01-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c4861dd066d7924a582e2d5ba0b786746723ceef]

	Actually show some paths


2012-01-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6086141c43f162ef4a2a1fcd87b4708fd66b8783]

	Use an event-based approach for output


2012-01-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [034b628126341a8961e50f864975fffdbbff6f3a]

	Removing some unused method


2012-01-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [21b8cb127386e59a27d481fafdf03d1d77287796]

	Read flags


2012-01-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [5819825b91d6d2268debf2d60b89202d753da643]

	Some simple use of the CDRCollector class


2012-01-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [73972a37faa825bff271c46f341c47847cfbf068]

	Adding CDRCollector class to make the design a bit more sane


2012-01-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2afdb154a43f024c1995a0b5491ae0a84f429791]

	removing a stray printf


2012-01-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [54b201fd677613040e5c9e176742604e4b690958]

	Functions for parsing of bbox, loda and obox


2012-01-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c25fb7eea8f601226b3d67a72410d511aceb37c2]

	Fix the buildnumber.sh script


2012-01-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [aae49880a84c9f67f870fe1870fbf19c724a0228]

	Fix mingw build


2012-01-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b00d46917d1c984a71e4030dc9fad2428a8b3767]

	Trying to parse fill style, line style and transformation matrix


2012-01-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7997b3a56c67c7bfb74b474413b77caa75aee082]

	Keep information about version in order to account for little differences


2012-01-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a23255c8369810814c6c6aaaacd1b9356e8b4511]

	Some more reading goodness


2012-01-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e7b83f9af7e926b92bb8bb7f4efbdc4a986ff805]

	Make type-detection case insensitive


2012-01-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0a6912a9b38b625a03c568ebb118aae9bff97013]

	Stuff-up the parser a bit more using oletoy information


2012-01-24  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9dec0522c25f2921034982a484757dc486d20e6e]

	Fix build with gcc 4.6.x


2011-12-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9a1124241a13039352c31d31da60ca6274b31cb2]

	Adapt build inside LO


2011-12-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fe39bfe8fd9fda27559c97101b9b797eb9c59c8e]

	Adapt msvc build


2011-12-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ae497237ee96e2e3c9c37b1312b1fc98316c479d]

	Parse page bbox and output pages if the width and height are non-zero


2011-12-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [48ff57e83c616e96bd5db2e9ebb69d1a076308d5]

	Fix the pkg-config file


2011-12-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f84727a4aea427656ffd7bedc58eb20c5f05b463]

	Trace at which level of list we are


2011-12-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4258fac549edae65bdc2ab9d4095cffbf1cb57c8]

	some more parsing of loda


2011-12-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1e5c13856a0c67c1bdb55a1020c4a98b91338066]

	Initial parsing of loda


2011-12-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [92099d6084ed05e2e0b02ddfbdb5a5b3425cc25a]

	Fix dumping of preview images


2011-12-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [15bd122018ec9bd84d181f584215190e99da9e04]

	Handle properly "stlt" records


2011-12-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [867f9244ac8218a5a428399600f310fe1efd97f1]

	Remove debug output and fix non-debug build


2011-11-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d300295e43435a7cdfcfbcd11df4bc57efb045df]

	trying to extract preview image


2011-11-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bb0f305ed18405ebc0e98833c6257caaaccebe09]

	Add proper typedetection


2011-11-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [1669bc0153c96b77423e74c3ad2347962c71a01e]

	Reformat to be consistent


2011-11-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4e3ffc574ab477f9d71429f31b396438a59e4f36]

	Stub reader function


2011-11-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [75c2a663d2801c6b28780ca9685fa88f7b06c6b7]

	Check for zlib at configure time


2011-11-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4a47b594559a575959d6d34ed62b1874792b2fc7]

	Take in account the block sizes


2011-11-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2a10db2e9829454682df142a4cde164797886636]

	Initial support of compression


2011-11-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [20c7a5cdc26116a2e3704b5cc0698d14ab259f38]

	Some recursive record parsing


2011-11-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [de6975844f042e7bf18015aeb29c5c7492c3945b]

	Starting to think about the parser framework


2011-11-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [18b5589d26b692d7c7c2a7f491f97d190ad6cd55]

	Add useful reader functions-a


2011-11-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [267bc312c64628e02512b796e1cb7d2059a428ed]

	Even more work on making this skeleton actually useful


2011-11-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6309db6b52a0f89ca1c349e236d6cd23e9826477]

	Some more generic changes


2011-11-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [46e760f82faa03cf311db005ae8105da299a8165]

	Ignore more files


2011-11-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [911c328f2ffa198dd9ea519076001ed2cd24fae0]

	A .gitignore file


2011-11-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ab0113a70881f3c98b7fda4d22ddc6837ca6fcef]

	make actually compile


2011-11-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [30134c10d57bc14580d4b41f3ae83bf460dd5da4]

	Skeleton of libcdr based on libwpg

